/*
 * Projecte Fressa a JAVA
 * JavaPlaphoonsLinuxLibrary.java
 * Created on 12 / octubre / 2008, 18:52
 *
 * @author Jordi Lagares Roset "jlagares@xtec.cat - www.lagares.org"
 * amb el suport del Departament d'Educacio de la Generalitat de Catalunya
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details (see the LICENSE file).
 */

public class JavaPlaphoonsLinuxLibrary {
    
  static
  {
    System.loadLibrary("JavaPlaphoonsLinuxLibrary");
    //String leFichier = System.getProperty("user.dir")+System.getProperty("file.separator")+ "JavaPlaphoonsWindowsLibrary.dll";
    //System.loadLibrary(leFichier);
  }
 
  public native boolean IniciarDisplay();
  public native void FinalitzarDisplay();

  public native int GetForegroundWindow();
  public native void SetForegroundWindow(int H);
  
  //BEGIN No funciona en Linux
  public native void XMoveResizeWindow(int H,int x,int y,int width,int height);
  public native int XGetWindowAttributesX(int H);
  public native int XGetWindowAttributesY(int H);
  public native int XGetWindowAttributesWidth(int H);
  public native int XGetWindowAttributesHeight(int H);    
  public native String GetWindowText(int H);
  //END No funciona en Linux
}
