/*
 * Projecte Fressa a JAVA
 * Llengua.java
 * Created on 7 / desembre / 2008, 11:18
 *
 * @author Jordi Lagares Roset "jlagares@xtec.cat - www.lagares.org"
 * amb el suport del Departament d'Educacio de la Generalitat de Catalunya
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details (see the LICENSE file).
 */

import javax.swing.*;

public class Llengua {
     
  public static JavaPlaphoons plaphoons;
  public static TFormPreguntarObrirONou FormPreguntarObrirONou;
  public static TFormParametres FormParametres;
  public static TFormEdicioPlafo FormEdicioPlafo;
  public static TFormFont FormFont;
  public static TFormPlafoNou FormPlafoNou;
  public static TFormFuncionsEspecials FormFuncionsEspecials;  
  public static TFormLinkatSintetitzador FormLinkatSintetitzador;  
  public static TFormObrirRecurs FormObrirRecurs;  
  
  public static String missatges[] = new String [300+1];

  public Llengua() {
        
  }
    
  public static void Catala() {
    //JavaPlaphoons  
    plaphoons.MenuCatala.setSelected(true);
    plaphoons.MenuCastellano.setSelected(false);

    plaphoons.MenuFitxer.setText("Fitxer");  
    plaphoons.MenuItemPlafonou.setText("Plaf\u00f3 nou...");  
    plaphoons.MenuItemObrir.setText("Obrir...");
    plaphoons.MenuItemImprimirelplafo.setText("Imprimir el plaf\u00f3...");
    plaphoons.MenuItemCopiaralacarpetaelplafo.setText("Copiar a la carpeta el plaf\u00f3");
    plaphoons.MenuItemCopiarelmissatgealacarpeta.setText("Copiar el missatge a la carpeta");
    //plaphoons.MenuItemGuardarcomHTML.setText("Guardar com HTML");
    plaphoons.MenuItemSortir.setText("Sortir");
    plaphoons.MenuEdicio.setText("Edici\u00f3");
    plaphoons.MenuItemCanviarlafontdetext.setText("Canviar la font de text...");
    plaphoons.MenuItemPermetledicioambelbotodret.setText("Permet l'edici\u00f3 amb el bot\u00f3 dret");
    plaphoons.MenuItemPermetedicioDragDrop.setText("Permet edici\u00f3 Drag/Drop");
    plaphoons.MenuItemPermetafegirieliminarfilesiocolumnes.setText("Permet afegir i eliminar files i/o columnes");
    plaphoons.MenuItemAfegirunacolumna.setText("Afegir una columna");
    plaphoons.MenuItemAfegirunafila.setText("Afegir una fila");
    plaphoons.MenuItemEliminarunacolumna.setText("Eliminar \u00faltima columna");
    plaphoons.MenuItemEliminarunafila.setText("Eliminar \u00faltima fila");
    plaphoons.MenuControl.setText("Control");
    plaphoons.MenuJCheckBoxMenuActivarescaneigautomaticodirigit.setText("Activar escaneig autom\u00e0tic o dirigit");
    plaphoons.MenuJCheckBoxMenuSenseescaneigvertical.setText("Sense escaneig vertical");
    plaphoons.MenuJCheckBoxMenuAlclicarnoinicialaposiciodelMouse.setText("Al clicar no inicia la posici\u00f3 del 'Mouse'");
    //plaphoons.MenuJCheckBoxMenuEscaneigdirigitclicdretTaboteclat.setText("Escaneig dirigit, clic dret, Tab, +, o teclat (0..9,A..Z). Sense escaneig vertical, amb les tecles del cursor");
    plaphoons.MenuJCheckBoxMenuEscaneigdirigitclicdretTaboteclat.setText("Escaneig dirigit, clic dret. Sense finestra externa, ni nom\u00e9s lletres o paraules: Tab, +, RETURN (clic); sense escaneig vertical: tecles del cursor o tecles (0..9,A..Z)");
    plaphoons.MenuJCheckBoxMenuEnEscaneigDirigitSActivaPerCadascunDelsCanalsEstereoDeSo.setText("En escaneig dirigit s'activa clic esquerra i clic dret amb cadascun dels canals est\u00e9reo de so");
    //plaphoons.MenuJCheckBoxMenuEnescaneigautomaticelclicesactivatperlUlldeColor.setText("En escaneig autom\u00e0tic el clic \u00e9s activat per l''Ull de Color...");
    plaphoons.MenuJCheckBoxMenuEnescaneigautomaticelclicesactivatperunso.setText("En escaneig autom\u00e0tic el clic es activat per un so");
    plaphoons.MenuJCheckBoxMenuEnEscaneigAutomticelclicsactivaprementQualsevolTecla.setText("En escaneig autom\u00e0tic el clic s'activa prement qualsevol tecla");
    plaphoons.MenuOpcions.setText("Opcions");
    plaphoons.MenuLlenguatge.setText("Llengua");
    plaphoons.MenuCatala.setText("Catal\u00e0");
    plaphoons.MenuCastellano.setText("Castellano");
    plaphoons.MenuItemSintetitzador.setText("Sintetitzador");
    plaphoons.MenuJCheckBoxMenuParlar.setText("Parlar");
    plaphoons.MenuJCheckBoxMenuCentrarcaptions.setText("Centrar captions");
    //plaphoons.MenuJCheckBoxMenuWordWrapPermetescriureeltextenvariesliniessinohicap.setText("WordWrap. Permet escriure el text en v\u00e0ries l\u00ednies si no hi cap");
    //plaphoons.MenuJCheckBoxMenuFonsnegre.setText("Fons negre");
    plaphoons.MenuJCheckBoxMenuNomostrarelsmarcsmarcblanc.setText("No mostrar els marcs, marc blanc");
    //plaphoons.MenuJCheckBoxMenuMarcsmesgrans.setText("Marcs m\u00e9s grans");
    plaphoons.MenuEnEscaneigNomesMostrarCasellaActiva.setText("En escaneig nom\u00e9s mostrar casella activa");
    plaphoons.MenuJCheckBoxMenuEnescaneigfersonarunbeep.setText("En escaneig fer sonar un beep");
    plaphoons.MenuJCheckBoxMenuVeurebarradbotons.setText("Veure barra de botons");
    plaphoons.MenuJCheckBoxMenuVeurebarradescriuremissatge.setText("Veure barra d'escriure missatge");
    plaphoons.MenuItemLlegirmissatge.setText("Llegir missatge");
    plaphoons.MenuItemEsborrarmissatge.setText("Esborrar missatge");
    plaphoons.MenuJCheckBoxMenuEscriurenomesleslletresoparaules.setText("Escriure nom\u00e9s les lletres o paraules");
    plaphoons.MenuJCheckBoxMenuEnviarleslletresoteclesaunafinestraexterna.setText("Enviar les lletres (o tecles) a una finestra externa");
    plaphoons.MenuJCheckBoxMenuFixarlafinestrareceptora.setText("Fixar la finestra receptora");
    //plaphoons.MenuItemAjustarlagrandariadelafinestrareceptora.setText("Ajustar la grand\u00e0ria de la finestra receptora");
    plaphoons.MenuJCheckBoxMenuEnviarunateclaFINabansdenviarlatecla.setText("Enviar una tecla <FIN> abans d''enviar la tecla");
    //plaphoons.MenuJCheckBoxMenuSemprevisible.setText("Sempre visible");
    plaphoons.MenuJCheckBoxMenuLlegirfitxaonestrobaelmouse.setText("Llegir fitxa on es troba el mouse");
    plaphoons.MenuJCheckBoxMenuJocdesaberquines.setText("Joc de saber quin \u00e9s");
    plaphoons.MenuItemparametres.setText("Par\u00e0metres...");
    plaphoons.MenuDesactivarBotons.setText("Desactivar botons");
    plaphoons.MenuJCheckBoxDesactivarEsborrarUltima.setText("Esborrar \u00faltima");
    plaphoons.MenuJCheckBoxDesactivarEsborrarUltimaParaula.setText("Esborrar Paraula");
    plaphoons.MenuJCheckBoxDesactivarEsborrar.setText("Esborrar");
    plaphoons.MenuPredictordeparaules.setText("Predictor de paraules");
    plaphoons.MenuJCheckBoxMenuUtilitzardiccionaripredictordeparaules.setText("Utilitzar diccionari predictor de paraules");
    plaphoons.MenuItemCarregardiccionari.setText("Carregar diccionari...");
    plaphoons.MenuJCheckBoxMenuPosarlaparaulasuggeridaenlacasellaESPAIDEPREDICCIO.setText("Posar la paraula suggerida en la casella <ESPAI DE PREDICCI\u00d3>");
    plaphoons.MenuItemEditordediccionaris.setText("Editor de diccionaris...");
    plaphoons.MenuAjuda.setText("Ajuda");
    plaphoons.MenuItemParlantde.setText("Parlant de...");
    
    plaphoons.SpeedButtonCasa.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/inici.gif")));
    plaphoons.SpeedButtonLlegirUltimaParaula.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/ultima.gif")));
    plaphoons.SpeedButtonLlegir.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/llegir.gif")));
    plaphoons.SpeedButtonEsborraUltim.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/ultim.gif")));
    plaphoons.SpeedButtonEsborrarUltimaParaula.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/paraula.gif")));
    plaphoons.SpeedButtonEsborrar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/speedesborrar.gif")));
    if (plaphoons.MenuJCheckBoxMenuParlar.getState()==true) {
      plaphoons.SpeedButtonParlarNoParlar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/simbolsi.gif")));
    } else {
      plaphoons.SpeedButtonParlarNoParlar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/simbolno.gif")));
    }
    plaphoons.SpeedButtonImprimir.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/imprimir.gif")));
    
    missatges[0]="ESTIC AQU\u00cd";
    missatges[1]="No es pot desar el fitxer";
    missatges[2]="No \u00e9s un fitxer amb el format PLAPHOONS";
    missatges[3]="No puc obrir el fitxer";
    missatges[4]="Obrir";
    missatges[5]="Obrir - 'JAVA PLAPHOONS'";
    missatges[6]="La fila 2 ha de indicar el n\u00famero de columnes, COLUMNES = *";
    missatges[7]="El n\u00famero de columnes no \u00e9s adequat";
    missatges[8]="La fila 3 ha de indicar el n\u00famero de files, FILES = *";
    missatges[9]="El n\u00famero de files no \u00e9s adequat";
    missatges[10]="La fila 4 ha de indicar el n\u00famero de color dels marcs, COLOR = *";
    missatges[11]="El n\u00famero de color no \u00e9s adequat";
    missatges[12]="La fila 5 ha de indicar CAPTIONCENTRAT = SI o CAPTIONCENTRAT = NO";
    missatges[13]="La fila 6 ha de indicar Font Charset = *";
    missatges[14]="La fila 7 ha de indicar Font Color = *";
    missatges[15]="La fila 8 ha de indicar Font Height = *";
    missatges[16]="La fila 9 ha de indicar Font Name =`*";
    missatges[17]="La fila 10 ha de indicar Font Size = *";
    missatges[18]="La fila 11 ha de indicar Font Negreta = ";
    missatges[19]="La fila 12 ha de indicar Font It\u00e0lica = *";
    missatges[20]="La fila 13 ha de indicar Font Subrratllat = *";
    missatges[21]="La fila 14 ha de indicar Font Tatxat = *";
    missatges[22]="La fila 15 ha de indicar BARRABOTONS = SI o BARRABOTONS = NO";
    missatges[23]="La fila 16 ha de indicar BARRAMISSATGE = SI o BARRAMISSATGE = NO";
    missatges[24]="La fila 17 ha de indicar WORDWRAP = SI o WORDWRAP = NO";
    missatges[25]="La fila 18 ha de indicar NOMESLLETRES = SI o NOMESLLETRES = NO";
    missatges[26]="La fila 19 ha de indicar ENVIARFINESTRAEXTERNA = SI o ENVIARFINESTRAEXTERNA = NO";
    missatges[27]="La fila 20 ha de indicar POSICIO LEFT = *";
    missatges[28]="La fila 21 ha de indicar POSICIO WIDTH = *";
    missatges[29]="La fila 22 ha de indicar POSICIO TOP = *";
    missatges[30]="La fila 23 ha de indicar POSICIO HEIGHT = *";
    missatges[31]="Hay un PICTURE = \"\" mal formateado";
    missatges[32]="Hay un CAPTION = \"\" mal formateado";
    missatges[33]="Hay un READ = \"\" mal formateado";
    missatges[34]="Hay un LINK = \"\" mal formateado";
    missatges[35]="Hay un MC = \"\" mal formateado";
    missatges[36]="Hay un FCOLOR = \"\" mal formateado";
    missatges[37]="Hay un FNAME = \"\" mal formateado";
    missatges[38]="Hay un FSIZE = \"\" mal formateado";
    missatges[39]="Hay un FNEGRETA = \"\" mal formateado";
    missatges[40]="Hay un FITALICA = \"\" mal formateado";
    missatges[41]="Desar";
    missatges[42]="Desar - 'JAVA PLAPHOONS'";    
    missatges[43]="No puc carregar el programa LlegirUPCTVWinePlatform3.exe";
    missatges[44]="No puc carregar el programa LlegirJavaFressaWindowsPlatform.exe";
    missatges[45]="Cal escriure el nom d'un fitxer";
    missatges[46]="Nom del fitxer:";
    missatges[47]="Error de gravaci\u00f3";
    missatges[48]="De ";
    missatges[49]=" preguntes, hi han hagut ";
    missatges[50]=" respostes correctes";
    missatges[51]="Molt B\u00e9, anem per una altre";
    missatges[52]="No \u00e9s aquesta, anem per una altre";
    missatges[53]="Edici\u00f3 d'un Plaf\u00f3. Casella: ";
    missatges[54]=System.getProperty("line.separator")+"Ja existeix."+System.getProperty("line.separator")+"Vol sobreesciure'l?";
    missatges[55]="";
    missatges[56]="";
    missatges[57]="";
    missatges[58]="";
    missatges[60]="";

    //TFormPreguntarObrirONou
    FormPreguntarObrirONou.jButtonObrir.setIcon(new javax.swing.ImageIcon(FormPreguntarObrirONou.getClass().getResource("dibuixos/TFormObriroNouObrirCatala.gif")));
    FormPreguntarObrirONou.jButtonNou.setIcon(new javax.swing.ImageIcon(FormPreguntarObrirONou.getClass().getResource("dibuixos/TFormObriroNouNouCatala.gif")));
    FormPreguntarObrirONou.jRadioButtonCatala.setSelected(true);

    //TFormParametres
    missatges[101]="El valor ha de ser m\u00e9s gran que 0 i m\u00e9s petit que 100";
    missatges[102]="El valor ha de ser m\u00e9s gran que 1 i m\u00e9s petit que ";
    missatges[103]="El valor ha de ser m\u00e9s gran o igual que 0 i m\u00e9s petit que 5000";
    missatges[104]="El valor ha de ser m\u00e9s gran que 0 i m\u00e9s petit que 100";
    FormParametres.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormParametres.getClass().getResource("dibuixos/catala/ok.gif")));
    FormParametres.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormParametres.getClass().getResource("dibuixos/catala/cancel.gif")));
    FormParametres.setTitle("Par\u00e0metres");
    FormParametres.jLabel1.setText("D\u00e8cimes de segon que dura el pas d'escaneig:");
    FormParametres.jLabel2.setText("N\u00famero de fitxes visibles al panell missatges:");
    FormParametres.jLabel3.setText("Interval entre clics (milisegons):");
    FormParametres.jLabel4.setText("Gruixud\u00e0ria marcs:");
    FormEdicioPlafo.ComboBoxColor.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Negre", "Lila", "Groc", "Verd", "Taronja", "Blau", "Blanc" }));

    //TFormEdicioPlafo
    FormEdicioPlafo.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/ok.gif")));
    FormEdicioPlafo.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/cancel.gif")));
    FormEdicioPlafo.jButtonFont.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/font.gif")));
    FormEdicioPlafo.jButtonObrir.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/obrir.gif")));
    FormEdicioPlafo.jButtonEnganxar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/enganxar.gif")));
    FormEdicioPlafo.jButtonEsborrar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/catala/esborrar.gif")));
    FormEdicioPlafo.setTitle("Edici\u00f3 d'un plaf\u00f3");
    FormEdicioPlafo.jLabel1.setText("Text mostrat:");
    FormEdicioPlafo.jLabel2.setText("Text a llegir:");
    FormEdicioPlafo.jLabel3.setText("Link:");
    FormEdicioPlafo.jLabel4.setText("Nom del fitxer:");
    FormEdicioPlafo.jLabel5.setText("Color Marc:");
    
    //TFormFont
    FormFont.setTitle("Font");
    FormFont.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormFont.getClass().getResource("dibuixos/catala/ok.gif")));
    FormFont.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormFont.getClass().getResource("dibuixos/catala/cancel.gif")));
    FormFont.jLabel1.setText("Font:");
    FormFont.jLabel2.setText("Estil de la Font:");
    FormFont.jLabel3.setText("Grand\u00e0ria:");
    
    //TFormPlafoNou
    FormPlafoNou.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormPlafoNou.getClass().getResource("dibuixos/catala/ok.gif")));
    FormPlafoNou.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormPlafoNou.getClass().getResource("dibuixos/catala/cancel.gif")));
    FormPlafoNou.setTitle("Plaf\u00f3 nou");
    FormPlafoNou.jLabel1.setText("N\u00famero de columnes:");
    FormPlafoNou.jLabel2.setText("N\u00famero de files:");
    FormPlafoNou.jLabel3.setText("Nom del fitxer:");
    FormPlafoNou.jLabel4.setText("Color dels marcs:");
    FormPlafoNou.ComboBoxColor.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Negre", "Lila", "Groc", "Verd", "Taronja", "Blau", "Blanc" }));

    //TFormFuncionsEspecials
    FormFuncionsEspecials.setTitle("Afegir una \"Funci\u00f3 Especial\"");
    FormFuncionsEspecials.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormFuncionsEspecials.getClass().getResource("dibuixos/catala/ok.gif")));
    FormFuncionsEspecials.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormFuncionsEspecials.getClass().getResource("dibuixos/catala/cancel.gif")));
    FormFuncionsEspecials.jLabel1.setText("Llistat de les \"Funcions Especials\" possibles:");
    
    //TFormLinkatSintetitzador
    FormLinkatSintetitzador.setTitle("Sintetitzador Festival");
    FormLinkatSintetitzador.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormLinkatSintetitzador.getClass().getResource("dibuixos/catala/ok.gif")));
    FormLinkatSintetitzador.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormLinkatSintetitzador.getClass().getResource("dibuixos/catala/cancel.gif")));
    FormLinkatSintetitzador.jLabel1.setText("Llistat dels sintetitzadors Festival:");
    
    //TFormObrirRecurs
    FormObrirRecurs.setTitle("Obrir recurs - 'Toti PM PLAPHOONS'");
    FormObrirRecurs.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormObrirRecurs.getClass().getResource("dibuixos/catala/ok.gif")));
    FormObrirRecurs.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormObrirRecurs.getClass().getResource("dibuixos/catala/cancel.gif")));
    //FormObrirRecurs.jButtonObrir.setIcon(new javax.swing.ImageIcon(FormObrirRecurs.getClass().getResource("dibuixos/catala/obrir.gif")));
    FormObrirRecurs.jLabelBuscar.setText("Buscar:");
    FormObrirRecurs.JCheckBoxPrincipiParaula.setText("Buscar comenament de paraula");

  }
    
  public static void Castellano() {
    //JavaPlaphoons  
    plaphoons.MenuCatala.setSelected(false);
    plaphoons.MenuCastellano.setSelected(true);

    plaphoons.MenuFitxer.setText("Archivo");  
    plaphoons.MenuItemPlafonou.setText("Crear plaf\u00f3n nuevo...");          
    plaphoons.MenuItemObrir.setText("Abrir...");
    plaphoons.MenuItemImprimirelplafo.setText("Imprimir el plaf\u00f3n...");
    plaphoons.MenuItemCopiaralacarpetaelplafo.setText("Copiar el plaf\u00f3 en el portapapeles");
    plaphoons.MenuItemCopiarelmissatgealacarpeta.setText("Copiar el mensaje en el portapapeles");
    //plaphoons.MenuItemGuardarcomHTML.setText("Guardar como HTML");
    plaphoons.MenuItemSortir.setText("Salir");
    plaphoons.MenuEdicio.setText("Edici\u00f3n");
    plaphoons.MenuItemCanviarlafontdetext.setText("Canviar la fuente del textp...");
    plaphoons.MenuItemPermetledicioambelbotodret.setText("Permite editar mediante bot\u00f3n derecho    ");
    plaphoons.MenuItemPermetedicioDragDrop.setText("Permite edici\u00f3n Drag/Drop");
    plaphoons.MenuItemPermetafegirieliminarfilesiocolumnes.setText("Permite a\u00f1adir o eliminar filas y/o columnas");
    plaphoons.MenuItemAfegirunacolumna.setText("A\u00f1adir una columna");
    plaphoons.MenuItemAfegirunafila.setText("A\u00f1adir una fila");
    plaphoons.MenuItemEliminarunacolumna.setText("Eliminar \u00faltima columna");
    plaphoons.MenuItemEliminarunafila.setText("Eliminar \u00faltima fila");
    plaphoons.MenuControl.setText("Control");
    plaphoons.MenuJCheckBoxMenuActivarescaneigautomaticodirigit.setText("Activar barrido autom\u00e1tico o dirigido");
    plaphoons.MenuJCheckBoxMenuSenseescaneigvertical.setText("Sin barrido vertical");
    plaphoons.MenuJCheckBoxMenuAlclicarnoinicialaposiciodelMouse.setText("Al clicar no inicia la posici\u00f3n del 'Mouse'");
    //plaphoons.MenuJCheckBoxMenuEscaneigdirigitclicdretTaboteclat.setText("Barrido dirigido, clic derecho, Tab, +, o teclado (0..9,A..Z). Sin barrido vertical, con las teclas del cursor");
    plaphoons.MenuJCheckBoxMenuEscaneigdirigitclicdretTaboteclat.setText("Barrido dirigido, clic derecho. Sin ventana externa ni s\u00f3lo letras o palabras: Tab, +, RETURN (clic); sin barrido vertical: teclas de cursor o teclas (0..9,A..Z)");
    plaphoons.MenuJCheckBoxMenuEnEscaneigDirigitSActivaPerCadascunDelsCanalsEstereoDeSo.setText("En barrido dirigido se activa el clic izquierdo y el clic derecho mediante cada uno de los canales est\u00e9reo de sonido");
    //plaphoons.MenuJCheckBoxMenuEnescaneigautomaticelclicesactivatperlUlldeColor.setText("En barrido autom\u00e1tico el clic se activa mediante el Ull de Color...");
    plaphoons.MenuJCheckBoxMenuEnescaneigautomaticelclicesactivatperunso.setText("En barrido autom\u00e1tico el clic se activa mediante un sonido");
    plaphoons.MenuJCheckBoxMenuEnEscaneigAutomticelclicsactivaprementQualsevolTecla.setText("En barrido autom\u00e1tico el clic se activa pulsando cualquier tecla");
    plaphoons.MenuOpcions.setText("Opciones");
    plaphoons.MenuLlenguatge.setText("Lenguaje");
    plaphoons.MenuCatala.setText("Catal\u00e0");
    plaphoons.MenuCastellano.setText("Castellano");
    plaphoons.MenuItemSintetitzador.setText("Sintetitador");
    plaphoons.MenuJCheckBoxMenuParlar.setText("Hablar");
    plaphoons.MenuJCheckBoxMenuCentrarcaptions.setText("Centrar captions");
    //plaphoons.MenuJCheckBoxMenuWordWrapPermetescriureeltextenvariesliniessinohicap.setText("WordWrap. Permite escribir el texto en varias lineas si no cabe");
    //plaphoons.MenuJCheckBoxMenuFonsnegre.setText("Fondo negro");
    plaphoons.MenuJCheckBoxMenuNomostrarelsmarcsmarcblanc.setText("No mostrar los marcos, marco blanco");
    //plaphoons.MenuJCheckBoxMenuMarcsmesgrans.setText("Marcos m\u00e1s grandes");
    plaphoons.MenuEnEscaneigNomesMostrarCasellaActiva.setText("En barrido s\u00f3lo mostrar la casilla activa");
    plaphoons.MenuJCheckBoxMenuEnescaneigfersonarunbeep.setText("En barrido hacer sonar un Beep");
    plaphoons.MenuJCheckBoxMenuVeurebarradbotons.setText("Ver la barra de botones");
    plaphoons.MenuJCheckBoxMenuVeurebarradescriuremissatge.setText("Ver la barra de escribir el mensaje");
    plaphoons.MenuItemLlegirmissatge.setText("Leer el mensaje");
    plaphoons.MenuItemEsborrarmissatge.setText("Borrar el mensaje");
    plaphoons.MenuJCheckBoxMenuEscriurenomesleslletresoparaules.setText("Escribir s\u00f3lo las letras o palabras");
    plaphoons.MenuJCheckBoxMenuEnviarleslletresoteclesaunafinestraexterna.setText("Enviar las letras (o teclas) a una ventana externa");
    plaphoons.MenuJCheckBoxMenuFixarlafinestrareceptora.setText("Fijar la ventana receptora");
    //plaphoons.MenuItemAjustarlagrandariadelafinestrareceptora.setText("Ajustar el tama\u00f1o de la ventana receptora");
    plaphoons.MenuJCheckBoxMenuEnviarunateclaFINabansdenviarlatecla.setText("Enviar una tecla <FIN> antes de enviar la tecla");
    //plaphoons.MenuJCheckBoxMenuSemprevisible.setText("Siempre visible");
    plaphoons.MenuJCheckBoxMenuLlegirfitxaonestrobaelmouse.setText("Leer la casilla donde se encuentra el mouse");
    plaphoons.MenuJCheckBoxMenuJocdesaberquines.setText("Juego de saber cual es");
    plaphoons.MenuItemparametres.setText("Par\u00e1metros...");
    plaphoons.MenuDesactivarBotons.setText("Desactivar botones");
    plaphoons.MenuJCheckBoxDesactivarEsborrarUltima.setText("Borrar \u00faltima");
    plaphoons.MenuJCheckBoxDesactivarEsborrarUltimaParaula.setText("Borrar Palabra");
    plaphoons.MenuJCheckBoxDesactivarEsborrar.setText("Borrar");
    plaphoons.MenuPredictordeparaules.setText("Predictor de palabras");
    plaphoons.MenuJCheckBoxMenuUtilitzardiccionaripredictordeparaules.setText("Utilizar diccionario predictor de palabras");
    plaphoons.MenuItemCarregardiccionari.setText("Cargar diccionario...");
    plaphoons.MenuJCheckBoxMenuPosarlaparaulasuggeridaenlacasellaESPAIDEPREDICCIO.setText("Poner la palabra sugerida en la casilla <ESPAI DE PREDICCI\u00d3>");
    plaphoons.MenuItemEditordediccionaris.setText("Editor de diccionarios...");
    plaphoons.MenuAjuda.setText("Ayuda");
    plaphoons.MenuItemParlantde.setText("Acerca de...");

    plaphoons.SpeedButtonCasa.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/inicio.gif")));
    plaphoons.SpeedButtonLlegirUltimaParaula.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/ultima.gif")));
    plaphoons.SpeedButtonLlegir.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/leer.gif")));
    plaphoons.SpeedButtonEsborraUltim.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/ultimo.gif")));
    plaphoons.SpeedButtonEsborrarUltimaParaula.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/palabra.gif")));
    plaphoons.SpeedButtonEsborrar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/speedborrar.gif")));
    if (plaphoons.MenuJCheckBoxMenuParlar.getState()==true) {
      plaphoons.SpeedButtonParlarNoParlar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/simbolosi.gif")));
    } else {
      plaphoons.SpeedButtonParlarNoParlar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/simbolono.gif")));
    }
    plaphoons.SpeedButtonImprimir.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/imprimir.gif")));
    
    missatges[0]="ESTOY AQU\u00cd";
    missatges[1]="No se puede guardar el archivo";
    missatges[2]="No es un archivo con el formatoPLAPHOONS";
    missatges[3]="No puedo abrir el archivo";
    missatges[4]="Abrir";
    missatges[5]="Abrir - 'JAVA PLAPHOONS'";
    missatges[6]="La fila 2 ha de indicar el n\u00famero de columnas, COLUMNES = *";
    missatges[7]="El n\u00famero de columnas no es adecuado";
    missatges[8]="La fila 3 ha de indicar el n\u00famero de filas, FILES = *";
    missatges[9]="El n\u00famero de filas no es adecuado";
    missatges[10]="La fila 4 ha de indicar el n\u00famero de color de los marcos, COLOR = *";
    missatges[11]="El n\u00famero de color no es adecuado";
    missatges[12]="La fila 5 ha de indicar CAPTIONCENTRAT = SI o CAPTIONCENTRAT = NO";
    missatges[13]="La fila 6 ha de indicar Font Charset = *";
    missatges[14]="La fila 7 ha de indicar Font Color = *";
    missatges[15]="La fila 8 ha de indicar Font Height = *";
    missatges[16]="La fila 9 ha de indicar Font Name =`*";
    missatges[17]="La fila 10 ha de indicar Font Size = *";
    missatges[18]="La fila 11 ha de indicar Font Negreta = ";
    missatges[19]="La fila 12 ha de indicar Font It\u00e0lica = *";
    missatges[20]="La fila 13 ha de indicar Font Subrratllat = *";
    missatges[21]="La fila 14 ha de indicar Font Tatxat = *";
    missatges[22]="La fila 15 ha de indicar BARRABOTONS = SI o BARRABOTONS = NO";
    missatges[23]="La fila 16 ha de indicar BARRAMISSATGE = SI o BARRAMISSATGE = NO";
    missatges[24]="La fila 17 ha de indicar WORDWRAP = SI o WORDWRAP = NO";
    missatges[25]="La fila 18 ha de indicar NOMESLLETRES = SI o NOMESLLETRES = NO";
    missatges[26]="La fila 19 ha de indicar ENVIARFINESTRAEXTERNA = SI o ENVIARFINESTRAEXTERNA = NO";
    missatges[27]="La fila 20 ha de indicar POSICIO LEFT = *";
    missatges[28]="La fila 21 ha de indicar POSICIO WIDTH = *";
    missatges[29]="La fila 22 ha de indicar POSICIO TOP = *";
    missatges[30]="La fila 23 ha de indicar POSICIO HEIGHT = *";
    missatges[31]="Hay un PICTURE = \"\" mal formateado";
    missatges[32]="Hay un CAPTION = \"\" mal formateado";
    missatges[33]="Hay un READ = \"\" mal formateado";
    missatges[34]="Hay un LINK = \"\" mal formateado";
    missatges[35]="Hay un MC = \"\" mal formateado";
    missatges[36]="Hay un FCOLOR = \"\" mal formateado";
    missatges[37]="Hay un FNAME = \"\" mal formateado";
    missatges[38]="Hay un FSIZE = \"\" mal formateado";
    missatges[39]="Hay un FNEGRETA = \"\" mal formateado";
    missatges[40]="Hay un FITALICA = \"\" mal formateado";
    missatges[41]="Guardar";
    missatges[42]="Guardar - 'JAVA PLAPHOONS'";
    missatges[43]="No puedo cargar el programa LlegirUPCTVWinePlatform3.exe";
    missatges[44]="No puedo cargar el programa LlegirJavaFressaWindowsPlatform.exe";
    missatges[45]="Debe escribirse el nombre de un archivo";
    missatges[46]="Nombre del archivo:";
    missatges[47]="Error de gravaci\u00f3n";
    missatges[48]="De ";
    missatges[49]=" preguntas, han habido ";
    missatges[50]=" respuestas correctas";
    missatges[51]="Muy bi\u00e9n, vamos a por otra";
    missatges[52]="No se trata de esta, vamos a por otra";
    missatges[53]="Edici\u00f3n de un Plaf\u00f3n. Casilla: ";
    missatges[54]=System.getProperty("line.separator")+"Ya existe."+System.getProperty("line.separator")+"Quiere sobreescribirlo?";
    missatges[55]="";
    missatges[56]="";
    missatges[57]="";
    missatges[58]="";
    missatges[60]="";

    //TFormPreguntarObrirONou
    FormPreguntarObrirONou.jButtonObrir.setIcon(new javax.swing.ImageIcon(FormPreguntarObrirONou.getClass().getResource("dibuixos/TFormObriroNouObrirCastellano.gif")));
    FormPreguntarObrirONou.jButtonNou.setIcon(new javax.swing.ImageIcon(FormPreguntarObrirONou.getClass().getResource("dibuixos/TFormObriroNouNouCastellano.gif")));
    FormPreguntarObrirONou.jRadioButtonCastellano.setSelected(true);

    //TFormParametres
    missatges[101]="El valor ha de ser mayor que 0 y menor que 100";
    missatges[102]="El valor ha de ser mayor que 1 y menor que ";
    missatges[103]="El valor ha de ser mayor o igual que 0 y menor que 5000";
    missatges[104]="El valor ha de ser mayor que 0 y menor que 100";
    FormParametres.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormParametres.getClass().getResource("dibuixos/castellano/ok.gif")));
    FormParametres.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormParametres.getClass().getResource("dibuixos/castellano/cancel.gif")));
    FormParametres.setTitle("Par\u00e1metros");
    FormParametres.jLabel1.setText("D\u00e9cimas de segundo que dura el paso de barrido:");
    FormParametres.jLabel2.setText("N\u00famero de fichas visibles en el panel mensages:");
    FormParametres.jLabel3.setText("Intervalo entre clics (milisegundos):");
    FormParametres.jLabel4.setText("Anchura marcos:");

    //TFormEdicioPlafo
    FormEdicioPlafo.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/ok.gif")));
    FormEdicioPlafo.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/cancel.gif")));
    FormEdicioPlafo.jButtonFont.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/font.gif")));
    FormEdicioPlafo.jButtonObrir.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/abrir.gif")));
    FormEdicioPlafo.jButtonEnganxar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/pegar.gif")));
    FormEdicioPlafo.jButtonEsborrar.setIcon(new javax.swing.ImageIcon(FormEdicioPlafo.getClass().getResource("dibuixos/castellano/borrar.gif")));
    FormEdicioPlafo.setTitle("Edici\u00f3n de un plaf\u00f3n");
    FormEdicioPlafo.jLabel1.setText("Texto mostrado:");
    FormEdicioPlafo.jLabel2.setText("Texto a leer:");
    FormEdicioPlafo.jLabel3.setText("Link:");
    FormEdicioPlafo.jLabel4.setText("Nombre del archivo:");
    FormEdicioPlafo.jLabel5.setText("Color Marco:");
    FormEdicioPlafo.ComboBoxColor.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Negro", "Lila", "Amarillo", "Verde", "Naranja", "Azul", "Blanco" }));
    
    //TFormFont
    FormFont.setTitle("Fuente");
    FormFont.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormFont.getClass().getResource("dibuixos/castellano/ok.gif")));
    FormFont.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormFont.getClass().getResource("dibuixos/castellano/cancel.gif")));
    FormFont.jLabel1.setText("Fuente:");
    FormFont.jLabel2.setText("Estilo de la Fuente:");
    FormFont.jLabel3.setText("Tama\u00f1o:");
    
    //TFormPlafoNou
    FormPlafoNou.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormPlafoNou.getClass().getResource("dibuixos/castellano/ok.gif")));
    FormPlafoNou.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormPlafoNou.getClass().getResource("dibuixos/castellano/cancel.gif")));
    FormPlafoNou.setTitle("Plaf\u00f3n nuevo");
    FormPlafoNou.jLabel1.setText("N\u00famero de columnas:");
    FormPlafoNou.jLabel2.setText("N\u00famero de filas:");
    FormPlafoNou.jLabel3.setText("Nombre del archivo:");
    FormPlafoNou.jLabel4.setText("Color de los marcos:");
    FormPlafoNou.ComboBoxColor.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Negro", "Lila", "Amarillo", "Verde", "Naranja", "Azul", "Blanco" }));

     //TFormFuncionsEspecials
    FormFuncionsEspecials.setTitle("A\u00f1adir una \"Funci\u00f3n Especial\"");
    FormFuncionsEspecials.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormFuncionsEspecials.getClass().getResource("dibuixos/castellano/ok.gif")));
    FormFuncionsEspecials.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormFuncionsEspecials.getClass().getResource("dibuixos/castellano/cancel.gif")));
    FormFuncionsEspecials.jLabel1.setText("Listado de las \"Funciones Especiales\" posibles:");
    
    //TFormLinkatSintetitzador
    FormLinkatSintetitzador.setTitle("Sintetizador Festival");
    FormLinkatSintetitzador.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormLinkatSintetitzador.getClass().getResource("dibuixos/castellano/ok.gif")));
    FormLinkatSintetitzador.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormLinkatSintetitzador.getClass().getResource("dibuixos/castellano/cancel.gif")));
    FormLinkatSintetitzador.jLabel1.setText("Listado de los sintetizadores Festival:");

    //TFormObrirRecurs
    FormObrirRecurs.setTitle("Abrir recurso - 'Toti PM PLAPHOONS'");
    FormObrirRecurs.jButtonDAcord.setIcon(new javax.swing.ImageIcon(FormObrirRecurs.getClass().getResource("dibuixos/castellano/ok.gif")));
    FormObrirRecurs.jButtonCancelar.setIcon(new javax.swing.ImageIcon(FormObrirRecurs.getClass().getResource("dibuixos/castellano/cancel.gif")));
    //FormObrirRecurs.jButtonObrir.setIcon(new javax.swing.ImageIcon(FormObrirRecurs.getClass().getResource("dibuixos/castellano/abrir.gif")));
    FormObrirRecurs.jLabelBuscar.setText("Buscar:");
    FormObrirRecurs.JCheckBoxPrincipiParaula.setText("Buscar principio de palabra");

 }

  public static void MessageBox(int i) {
    JOptionPane.showMessageDialog(null,missatges[i],"JAVA PLAPHOONS",JOptionPane.INFORMATION_MESSAGE);
  }
  
}
