/*
 * Projecte Fressa a JAVA
 * TFormAboutBox.java
 * Created on 21/maig/2007, 07:20
 *
 * @author Jordi Lagares Roset "jlagares@xtec.cat - www.lagares.org"
 * amb el suport del Departament d'Educacio de la Generalitat de Catalunya
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details (see the LICENSE file).
 */

import java.net.URL;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class TFormAboutBox extends javax.swing.JDialog implements ActionListener{

  private javax.swing.JButton jButton1;
  private javax.swing.JButton jButtonDAcord;
  private javax.swing.JLabel jLabel1;
  private javax.swing.JLabel jLabel2;
  private javax.swing.JLabel jLabel3;
  private javax.swing.JLabel jLabel4;
  private javax.swing.JLabel jLabel5;
  private javax.swing.JLabel jLabel51;
  private javax.swing.JLabel jLabel6;
  private javax.swing.JLabel jLabel7;
  private javax.swing.JPanel jPanel1;
  private javax.swing.JPanel jPanel2;
  private Timer timer;
  private int NumeroFoto =0;
  private URL url;

  public TFormAboutBox(java.awt.Frame parent, boolean modal) {
    super(parent, modal);
    initComponents();
    timer = new Timer(4000,this);
    timer.start();
    //setTitle(System.getProperty("user.dir"));
  }

  private void initComponents() {
    jButtonDAcord = new javax.swing.JButton();
    jPanel1 = new javax.swing.JPanel();
    jLabel1 = new javax.swing.JLabel();
    jPanel2 = new javax.swing.JPanel();
    jLabel2 = new javax.swing.JLabel();
    jButton1 = new javax.swing.JButton();
    jLabel3 = new javax.swing.JLabel();
    jLabel4 = new javax.swing.JLabel();
    jLabel5 = new javax.swing.JLabel();
    jLabel6 = new javax.swing.JLabel();
    jLabel7 = new javax.swing.JLabel();
    setSize(313,414);
    getContentPane().setLayout(null);

    setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
    //setTitle("Parlant de...");
    //setTitle("Parlant de...|JRE:"+System.getProperty("java.version")+"|"+System.getProperty("os.name")+"|"+System.getProperty("os.version"));
    setTitle("JRE:"+System.getProperty("java.version")+"|"+System.getProperty("os.name")+"|"+System.getProperty("os.version"));

    jButtonDAcord.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/dacord.gif")));
    jButtonDAcord.setText("D'acord");
    jButtonDAcord.setBounds(98,352,104,27);
    //jButtonDAcord.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/catala/ok.gif")));
    //jButtonDAcord.setBounds(110,345,81,41);
    //jButtonDAcord.setBounds(110,342,81,39);
    jButtonDAcord.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    getContentPane().add(jButtonDAcord);        
    jButtonDAcord.addActionListener(new java.awt.event.ActionListener() {
       public void actionPerformed(java.awt.event.ActionEvent evt) {
         jButtonDAcordClick();
       }
    });

    jPanel1.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.LOWERED));
    jPanel1.setBounds(10,16,285,150);
    //jPanel1.setBounds(10,10,285,150);
    getContentPane().add(jPanel1);
    jPanel1.setLayout(null);

    url = this.getClass().getResource( "dibuixos/kanghooru.jpg" );
    jLabel7.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
    jLabel7.setIcon(new javax.swing.ImageIcon(url));
    jLabel7.setBounds(16,16,45,41);
    jPanel1.add(jLabel7);

    //url = this.getClass().getResource( "dibuixos/plaphoons.gif" );
    url = this.getClass().getResource( "dibuixos/JavaPlaphoons.gif" );
    jLabel2.setIcon(new javax.swing.ImageIcon(url));
    jLabel2.setBounds(70,7,200,52);
    jPanel1.add(jLabel2);

    jLabel3.setFont(new java.awt.Font("MS Sans Serif", 1, 11));
    jLabel3.setText("Versi\u00f3: 22 - 25/05/2010");
    //jLabel3.setBounds(120,60,143,16);
    //jLabel3.setBounds(138,60,143,16);
    //jLabel3.setBounds(110,60,143,16);
    jLabel3.setBounds(80,60,160,16);
    jPanel1.add(jLabel3);

    jLabel4.setFont(new java.awt.Font("MS Sans Serif", 1, 11));
    jLabel4.setText("Jordi Lagares Roset - www.lagares.org");
    //jLabel4.setBounds(16,80,230,17);
    jLabel4.setBounds(2,80,281,17);
    jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    jPanel1.add(jLabel4);

    jLabel5.setFont(new java.awt.Font("MS Sans Serif", 1, 12));
    //jLabel5.setText("Les vict\u00f2ries no venen nom\u00e9s dels \u00e8xits aconseguits,");
    //jLabel5.setBounds(5,100,270,17);
    jLabel5.setText("Amb el suport del Departament d'Educaci\u00f3");
    jLabel5.setBounds(2,100,281,17);
    jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    jPanel1.add(jLabel5);

    jLabel51 = new javax.swing.JLabel();
    jLabel51.setFont(new java.awt.Font("MS Sans Serif", 1, 12));
    jLabel51.setText("de la Generalitat de Catalunya");
    jLabel51.setBounds(2,120,281,17);
    jLabel51.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    jPanel1.add(jLabel51);

    jLabel6.setFont(new java.awt.Font("MS Sans Serif", 0, 11));
    //jLabel6.setText("sin\u00f3, i sobretot, de les dificultats superades");
    jLabel6.setBounds(5,120,270,17);
    jPanel1.add(jLabel6);

    jPanel2.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.LOWERED));
    jPanel2.setBounds(10,180,285,161);
    //jPanel2.setBounds(10,171,285,161);
    getContentPane().add(jPanel2);
    jPanel2.setLayout(null);

    url = this.getClass().getResource("dibuixos/projectefressa2010.gif");
    jLabel1.setIcon(new javax.swing.ImageIcon(url));
    jLabel1.setBounds(10,16,254,131);
    jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    jPanel2.add(jLabel1);

    addWindowListener(new java.awt.event.WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        Toolkit.getDefaultToolkit().removeAWTEventListener(ListenerReturnEsc);
      }
    });

  }

  private AWTEventListener ListenerReturnEsc = new AWTEventListener() {
    public void eventDispatched(AWTEvent event) {
      KeyEvent ke = (KeyEvent)event;
      if (ke.getID() == KeyEvent.KEY_TYPED) {
        if (ke.getKeyChar() == KeyEvent.VK_ESCAPE) {
          jButtonDAcordClick();
        } else if (ke.getKeyChar() == KeyEvent.VK_ENTER) {
          jButtonDAcordClick();
        }
      }
    }
  };

  private void jButtonDAcordClick() {
    Toolkit.getDefaultToolkit().removeAWTEventListener(ListenerReturnEsc);
    setVisible(false);
  }

  public void actionPerformed(ActionEvent e) {
    if (e.getSource() == timer){
      if (NumeroFoto==0) {
        jLabel1.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/totipmsoftwaresensequadre256.gif")));
        NumeroFoto=1;
      } else if (NumeroFoto==1) {
        jLabel1.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/potserquelainteligenciasensequadre256.gif")));
        NumeroFoto=2;
      } else if (NumeroFoto==2) {
        //jLabel1.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/dedicataenJacob.gif")));
        jLabel1.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/DedicatAEnBernat.gif")));
        NumeroFoto=3;
      } else if (NumeroFoto==3) {
        jLabel1.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/projectefressa2010.gif")));
        NumeroFoto=0;
      }
    }
  }

  public void ShowModalCentered() {
    Toolkit.getDefaultToolkit().addAWTEventListener(ListenerReturnEsc,AWTEvent.KEY_EVENT_MASK);
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = this.getSize();
    if (frameSize.height > screenSize.height) frameSize.height = screenSize.height;
    if (frameSize.width > screenSize.width) frameSize.width = screenSize.width;
    this.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    this.setVisible(true);      
  }

  public static void main(String args[]) {
    java.awt.EventQueue.invokeLater(new Runnable() {
      public void run() {
        new TFormAboutBox(new javax.swing.JFrame(), true).setVisible(true);
      }
    });
  }
}
