/*
 * Projecte Fressa a JAVA
 * TFormPlafoNou.java
 * Created on 6 / novembre / 2008, 23:49
 *
 * @author Jordi Lagares Roset "jlagares@xtec.cat - www.lagares.org"
 * amb el suport del Departament d'Educacio de la Generalitat de Catalunya
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details (see the LICENSE file).
 */

import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;

public class TFormPlafoNou extends javax.swing.JDialog {
    
  public int MaximDeCaselles = 21;
  public int resultat = 0;
  public int Columnes = 1;
  public int Files = 1;
  public String NomFitxer = "";
  public int Color = 1;
  private Tools tool;

  public javax.swing.JComboBox ComboBoxColor;
  public javax.swing.JTextField EditNomFitxer;
  public javax.swing.JSpinner SpinEditColumnes;
  public javax.swing.JSpinner SpinEditFiles;
  public javax.swing.JLabel jLabel1;
  public javax.swing.JLabel jLabel2;
  public javax.swing.JLabel jLabel3;
  public javax.swing.JLabel jLabel4;
  public javax.swing.JButton jButtonDAcord;
  public javax.swing.JButton jButtonCancelar;  

  public static void main(String args[]) {
    java.awt.EventQueue.invokeLater(new Runnable() {
      public void run() {
        new TFormPlafoNou(new javax.swing.JFrame(), true).setVisible(true);
      }
    });
  }
        
  public TFormPlafoNou(java.awt.Frame parent, boolean modal) {
    super(parent, modal);
    initComponents();
  }
    
  private void initComponents() {
    jLabel1 = new javax.swing.JLabel();
    jLabel1.setFont(new Font("sansserif",0,11));
    jLabel2 = new javax.swing.JLabel();
    jLabel2.setFont(new Font("sansserif",0,11));
    jLabel3 = new javax.swing.JLabel();
    jLabel3.setFont(new Font("sansserif",0,11));
    jLabel4 = new javax.swing.JLabel();
    jLabel4.setFont(new Font("sansserif",0,11));
    SpinEditColumnes = new javax.swing.JSpinner();
    SpinEditFiles = new javax.swing.JSpinner();
    EditNomFitxer = new javax.swing.JTextField();
    ComboBoxColor = new javax.swing.JComboBox();
    jButtonDAcord = new javax.swing.JButton();
    jButtonCancelar = new javax.swing.JButton();
    tool = new Tools();

    setSize(275,252);
    getContentPane().setLayout(null);

    //setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
    setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
    setTitle("Plaf\u00f3 nou");
    setResizable(false);
    
    //jLabel1.setFont(new java.awt.Font("MS Sans Serif", 1, 11));
    jLabel1.setText("N\u00famero de columnes:");
    jLabel1.setBounds(16,16,123,13);
    getContentPane().add(jLabel1);
    
    //jLabel2.setFont(new java.awt.Font("MS Sans Serif", 1, 11));
    jLabel2.setText("N\u00famero de files:");
    jLabel2.setBounds(16,56,123,13);
    getContentPane().add(jLabel2);
    
    //jLabel3.setFont(new java.awt.Font("MS Sans Serif", 1, 11));
    jLabel3.setText("Nom del fitxer:");
    jLabel3.setBounds(16,96,123,13);
    getContentPane().add(jLabel3);
    
    //jLabel4.setFont(new java.awt.Font("MS Sans Serif", 1, 11));
    jLabel4.setText("Color dels marcs:");
    jLabel4.setBounds(16,136,123,13);
    getContentPane().add(jLabel4);

    SpinnerModel SpinnerModelSpinEditColumnes = new SpinnerNumberModel(/*initial value*/1,/*min*/1,/*max*/MaximDeCaselles,/*step*/1);                
    SpinEditColumnes.setModel(SpinnerModelSpinEditColumnes);;
    SpinEditColumnes.setBounds(144,16,105,21);
    SpinEditColumnes.addChangeListener(new javax.swing.event.ChangeListener() {
      public void stateChanged(javax.swing.event.ChangeEvent evt) {
        int i=tool.StrToInt(SpinEditColumnes.getValue().toString());
        if (!((i>0) && (i<=MaximDeCaselles))) {
            SpinEditColumnes.setValue("1");
        } else {            
        }    
      }
    });
    getContentPane().add(SpinEditColumnes);        
    
    SpinnerModel SpinnerModelSpinEditFiles = new SpinnerNumberModel(/*initial value*/1,/*min*/1,/*max*/MaximDeCaselles,/*step*/1);                
    SpinEditFiles.setModel(SpinnerModelSpinEditFiles);
    SpinEditFiles.setBounds(144,56,105,21);
    SpinEditFiles.addChangeListener(new javax.swing.event.ChangeListener() {
      public void stateChanged(javax.swing.event.ChangeEvent evt) {
        int i=tool.StrToInt(SpinEditFiles.getValue().toString());
        if (!((i>0) && (i<=MaximDeCaselles))) {
            SpinEditFiles.setValue("1");
        } else {            
        }    
      }
    });
    getContentPane().add(SpinEditFiles);        
    
    EditNomFitxer.setBounds(144,96,105,21);
    getContentPane().add(EditNomFitxer);        
    
    ComboBoxColor.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Negre", "Lila", "Groc", "Verd", "Taronja", "Blau", "Blanc" }));
    ComboBoxColor.setBounds(144,136,105,21);
    getContentPane().add(ComboBoxColor);        

    //jButtonDAcord.setText("D'acord");
    //jButtonDAcord.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/dacord.gif")));
    jButtonDAcord.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/catala/ok.gif")));
    jButtonDAcord.setBounds(16,176,105,33);
    jButtonDAcord.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    getContentPane().add(jButtonDAcord);        
    jButtonDAcord.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        jButtonDAcordClick();
      }
    });

    //jButtonCancelar.setText("Cancel.lar");
    //jButtonCancelar.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/cancelar.gif")));
    jButtonCancelar.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/catala/cancel.gif")));
    jButtonCancelar.setBounds(144,176,105,33);
    jButtonCancelar.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    getContentPane().add(jButtonCancelar);        
    jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        jButtonCancelarClick();
      }
    });
    resultat=0;

    addWindowListener(new java.awt.event.WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        Toolkit.getDefaultToolkit().removeAWTEventListener(ListenerReturnEsc);
      }
    });
    
  }

  private AWTEventListener ListenerReturnEsc = new AWTEventListener() {
    public void eventDispatched(AWTEvent event) {
      KeyEvent ke = (KeyEvent)event;
      if (ke.getID() == KeyEvent.KEY_TYPED) {
        if (ke.getKeyChar() == KeyEvent.VK_ESCAPE) {
          jButtonCancelarClick();
        } else if (ke.getKeyChar() == KeyEvent.VK_ENTER) {
          //jButtonDAcordClick();
          if (Global.EsWindowsLookAndFeel==1) {
            if (jButtonCancelar.isFocusOwner()) {
            } else {
              jButtonDAcordClick();
            }
          } else {
            if (jButtonCancelar.isFocusOwner()) {
              jButtonCancelarClick()  ;
            } else {
              jButtonDAcordClick();
            }             
          }  
        }
      }
    }        
  };
    
  public void Activar() {
    SpinnerModel SpinnerModelSpinEditColumnes = new SpinnerNumberModel(/*initial value*/Columnes,/*min*/1,/*max*/MaximDeCaselles,/*step*/1);                
    SpinEditColumnes.setModel(SpinnerModelSpinEditColumnes);;
    SpinnerModel SpinnerModelSpinEditFiles = new SpinnerNumberModel(/*initial value*/Files,/*min*/1,/*max*/MaximDeCaselles,/*step*/1);                
    SpinEditFiles.setModel(SpinnerModelSpinEditFiles);
    Toolkit.getDefaultToolkit().addAWTEventListener(ListenerReturnEsc,AWTEvent.KEY_EVENT_MASK);
  }
  
  private void jButtonCancelarClick() {                                         
    Toolkit.getDefaultToolkit().removeAWTEventListener(ListenerReturnEsc);
    setVisible(false);        
    resultat=0;
  }                                        

  private void jButtonDAcordClick() {                                         
    String s=EditNomFitxer.getText();
    if (s.equals("")) {
      //JOptionPane.showMessageDialog(null,"Cal escriure el nom d'un fitxer","JAVA PLAPHOONS",JOptionPane.INFORMATION_MESSAGE);      
      Llengua.MessageBox(45);
      EditNomFitxer.requestFocus();
    } else {
      Columnes=tool.StrToInt(SpinEditColumnes.getValue().toString());
      Files=tool.StrToInt(SpinEditFiles.getValue().toString());
      NomFitxer=s;
      Color=ComboBoxColor.getSelectedIndex();
      resultat=1;
      Toolkit.getDefaultToolkit().removeAWTEventListener(ListenerReturnEsc);
      setVisible(false);
    }
  }                                        

}
