/*
 * Projecte Fressa a JAVA
 * TFormPreguntarObrirONou.java
 * Created on 26 / novembre / 2008, 18:20
 *
 * @author Jordi Lagares Roset "jlagares@xtec.cat - www.lagares.org"
 * amb el suport del Departament d'Educacio de la Generalitat de Catalunya
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details (see the LICENSE file).
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class TFormPreguntarObrirONou extends javax.swing.JDialog {
    
  public javax.swing.JButton jButtonObrir;
  public javax.swing.JButton jButtonNou;
  private javax.swing.JLabel jLabelBanderaCatalana;
  private javax.swing.JLabel jLabelBanderaEspanya;
  public javax.swing.JRadioButton jRadioButtonCatala;
  public javax.swing.JRadioButton jRadioButtonCastellano;

  public int resultat = 0;
  public int Idioma = 1;

  public static void main(String args[]) {
    java.awt.EventQueue.invokeLater(new Runnable() {
      public void run() {
        new TFormPreguntarObrirONou(new javax.swing.JFrame(), true).setVisible(true);
      }
    });
  }
    
  public TFormPreguntarObrirONou(java.awt.Frame parent, boolean modal) {
    super(parent, modal);
    initComponents();
  }
    
  private void initComponents() {
    jButtonObrir = new javax.swing.JButton();
    jButtonNou = new javax.swing.JButton();
    jLabelBanderaCatalana = new javax.swing.JLabel();
    jLabelBanderaEspanya = new javax.swing.JLabel();

    setSize(474,285);
    getContentPane().setLayout(null);

    setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
    setTitle("JAVA PLAPHOONS");
    setResizable(false);
    
    jButtonObrir.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/TFormObriroNouObrirCatala.gif")));
    //jButtonObrir.setText("Obrir un fitxer...");
    jButtonObrir.setBounds(8,24,217,121);
    jButtonObrir.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    getContentPane().add(jButtonObrir);        
    jButtonObrir.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        jButtonObrirClick();
      }
    });

    jButtonNou.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/TFormObriroNouNouCatala.gif")));
    //jButtonNou.setText("Crear un plaf\u00f3 nou...");
    jButtonNou.setBounds(240,24,217,121);
    jButtonNou.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    getContentPane().add(jButtonNou);        
    jButtonNou.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        jButtonNouClick();
      }
    });

    jLabelBanderaCatalana.setBounds(16,168,41,33);
    jLabelBanderaCatalana.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/banderacatalana.gif")));
    getContentPane().add(jLabelBanderaCatalana);

    jLabelBanderaEspanya.setBounds(16,208,41,33);
    jLabelBanderaEspanya.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/banderaespanya.gif")));
    getContentPane().add(jLabelBanderaEspanya);

    jRadioButtonCatala = new javax.swing.JRadioButton();
    jRadioButtonCatala.setText("Catal\u00e0");
    jRadioButtonCatala.setBounds(64,168,73,17);
    getContentPane().add(jRadioButtonCatala);
    jRadioButtonCatala.setSelected(true);
    jRadioButtonCatala.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        jRadioButtonCatalaClick();
      }
    });
            
    jRadioButtonCastellano = new javax.swing.JRadioButton();
    jRadioButtonCastellano.setText("Castellano");
    jRadioButtonCastellano.setBounds(64,208,97,17);
    getContentPane().add(jRadioButtonCastellano);
    jRadioButtonCastellano.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        jRadioButtonCastellanoClick();
      }
    });

    ButtonGroup group = new ButtonGroup();
    group.add(jRadioButtonCatala);
    group.add(jRadioButtonCastellano);
    
    /*
    final AWTEventListener ListenerReturnEsc = new AWTEventListener() {
      public void eventDispatched(AWTEvent event) {
        KeyEvent ke = (KeyEvent)event;
        if (ke.getID() == KeyEvent.KEY_TYPED) {
          if (ke.getKeyChar() == KeyEvent.VK_ESCAPE) {
            resultat=0;
            setVisible(false);        
          }
        }
      }        
    };
     */
    
    Toolkit.getDefaultToolkit().addAWTEventListener(ListenerReturnEsc,AWTEvent.KEY_EVENT_MASK);

    addWindowListener(new java.awt.event.WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        Toolkit.getDefaultToolkit().removeAWTEventListener(ListenerReturnEsc);
      }
    });
    
  }
  
  private AWTEventListener ListenerReturnEsc = new AWTEventListener() {
    public void eventDispatched(AWTEvent event) {
      KeyEvent ke = (KeyEvent)event;
      if (ke.getID() == KeyEvent.KEY_TYPED) {
        if (ke.getKeyChar() == KeyEvent.VK_ESCAPE) {
          resultat=0;
          setVisible(false);        
        } else if (ke.getKeyChar() == KeyEvent.VK_ENTER) {
          if (Global.EsWindowsLookAndFeel==1) {
            if (jButtonObrir.isFocusOwner()) {
            } else if (jButtonNou.isFocusOwner()) {
            }
          } else {
            if (jButtonObrir.isFocusOwner()) {
              jButtonObrirClick();
            } else if (jButtonNou.isFocusOwner()) {
              jButtonNouClick();
            }             
          }
        }
      }
    }        
  };

  private void jButtonObrirClick() {                                         
    resultat=1;
    Toolkit.getDefaultToolkit().removeAWTEventListener(ListenerReturnEsc);
    setVisible(false);
  }                                        

  private void jButtonNouClick() {                                         
    resultat=2;
    Toolkit.getDefaultToolkit().removeAWTEventListener(ListenerReturnEsc);
    setVisible(false);        
  }                                        

  public void jRadioButtonCatalaClick() {                                                 
    jButtonObrir.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/TFormObriroNouObrirCatala.gif")));
    jButtonNou.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/TFormObriroNouNouCatala.gif")));
    Llengua.Catala();
    Idioma=1;
  }                                        

  public void jRadioButtonCastellanoClick() {                                                 
    jButtonObrir.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/TFormObriroNouObrirCastellano.gif")));
    jButtonNou.setIcon(new javax.swing.ImageIcon(this.getClass().getResource("dibuixos/TFormObriroNouNouCastellano.gif")));
    Llengua.Castellano();
    Idioma=2;
  }                                        
  
  public void ShowModalCentered () {
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = this.getSize();
    if (frameSize.height > screenSize.height) frameSize.height = screenSize.height;
    if (frameSize.width > screenSize.width) frameSize.width = screenSize.width;
    this.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    this.setVisible(true);      
  }

}
