{********************************************************}
{
  Data Inici 12/10/08
  ltim dia  19/01/09
}
{********************************************************}

library JavaPlaphoonsLinuxLibrary;

uses
  //QForms,
  //QDialogs,
  SysUtils,
  Xlib,
  jni in 'jni.pas';

{$R *.res}

procedure Java_JavaPlaphoonsLinuxLibrary_DisplayHelloWorld(PEnv: PJNIEnv; Obj: JObject); {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  //ShowMessage('Hello world!');
end;

procedure DisplayHelloWorld(); {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  //ShowMessage('Hello world!');
end;

{********************************************************}
var
  Display:PDisplay;
  FocusReturn:Window;
  ReverttoReturn:Longint;
  XWindowAttributes:PXWindowAttributes;

function Java_JavaPlaphoonsLinuxLibrary_IniciarDisplay(PEnv: PJNIEnv; Obj: JObject):boolean; {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  Java_JavaPlaphoonsLinuxLibrary_IniciarDisplay:=false;
  Display:=XOpenDisplay(PChar(GetEnvironmentVariable('DISPLAY')));
  if Display<>nil then begin
    Java_JavaPlaphoonsLinuxLibrary_IniciarDisplay:=true;
  end;
end;

function IniciarDisplay():boolean; {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  //Application.MessageBox('hola','hello World');
  IniciarDisplay:=false;
  Display:=XOpenDisplay(PChar(GetEnvironmentVariable('DISPLAY')));
  if Display<>nil then begin
    IniciarDisplay:=true;
  end;
end;

procedure Java_JavaPlaphoonsLinuxLibrary_FinalitzarDisplay(PEnv: PJNIEnv; Obj: JObject); {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  if Display<>nil then XCloseDisplay(Display);
end;

procedure FinalitzarDisplay(); {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  if Display<>nil then XCloseDisplay(Display);
end;

function Java_JavaPlaphoonsLinuxLibrary_GetForegroundWindow(PEnv: PJNIEnv; Obj: JObject):JInt; {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  Java_JavaPlaphoonsLinuxLibrary_GetForegroundWindow:=0;
  //Display:=Application.Display;
  if Display<>nil then begin
    XGetInputFocus(Display,@FocusReturn,@ReverttoReturn);
    Java_JavaPlaphoonsLinuxLibrary_GetForegroundWindow:=FocusReturn;
  end;
end;

function GetForegroundWindow():Window; {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  GetForegroundWindow:=0;
  //Display:=Application.Display;
  if Display<>nil then begin
    XGetInputFocus(Display,@FocusReturn,@ReverttoReturn);
    GetForegroundWindow:=FocusReturn;
  end;
end;

procedure Java_JavaPlaphoonsLinuxLibrary_SetForegroundWindow(PEnv: PJNIEnv; Obj: JObject; FocusReturnEnviar:Window); {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  //Display:=Application.Display;
  XRaiseWindow(Display,FocusReturnEnviar);
  XSetInputFocus(Display,FocusReturnEnviar,RevertToParent,0);
end;

procedure SetForegroundWindow(FocusReturnEnviar:Window); {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  //Display:=Application.Display;
  XRaiseWindow(Display,FocusReturnEnviar);
  XSetInputFocus(Display,FocusReturnEnviar,RevertToParent,0);
end;

//procedure Java_JavaPlaphoonsLinuxLibrary_XMoveResizeWindow(PEnv: PJNIEnv; Obj: JObject; FocusReturnEnviar:Window; x:integer; y:integer; width:integer; height:integer); {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
procedure Java_JavaPlaphoonsLinuxLibrary_XMoveResizeWindow(PEnv: PJNIEnv; Obj: JObject; FocusReturnEnviar:Window; x,y,width,height:integer); {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  XMoveResizeWindow(Display,FocusReturnEnviar,x,y,width,height);
end;

procedure Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributes(PEnv: PJNIEnv; Obj: JObject; FocusReturnEnviar:Window); {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  XGetWindowAttributes(Display,FocusReturnEnviar,XWindowAttributes);
end;

function Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesX(PEnv: PJNIEnv; Obj: JObject; FocusReturnEnviar:Window):integer; {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  XGetWindowAttributes(Display,FocusReturnEnviar,XWindowAttributes);
  Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesX:=XWindowAttributes^.x;
end;

function Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesY(PEnv: PJNIEnv; Obj: JObject; FocusReturnEnviar:Window):integer; {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  XGetWindowAttributes(Display,FocusReturnEnviar,XWindowAttributes);
  Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesY:=XWindowAttributes^.y;
end;

function Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesWidth(PEnv: PJNIEnv; Obj: JObject; FocusReturnEnviar:Window):integer; {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  XGetWindowAttributes(Display,FocusReturnEnviar,XWindowAttributes);
  Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesWidth:=XWindowAttributes^.width;
end;

function Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesHeight(PEnv: PJNIEnv; Obj: JObject; FocusReturnEnviar:Window):integer; {$IFDEF MSWINDOWS} stdcall; {$ENDIF} {$IFDEF LINUX} cdecl; {$ENDIF}
begin
  XGetWindowAttributes(Display,FocusReturnEnviar,XWindowAttributes);
  Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesHeight:=XWindowAttributes^.height;
end;

{********************************************************}
exports
  Java_JavaPlaphoonsLinuxLibrary_DisplayHelloWorld,
  DisplayHelloWorld,
  Java_JavaPlaphoonsLinuxLibrary_IniciarDisplay,
  IniciarDisplay,
  Java_JavaPlaphoonsLinuxLibrary_FinalitzarDisplay,
  FinalitzarDisplay,
  Java_JavaPlaphoonsLinuxLibrary_GetForegroundWindow,
  GetForegroundWindow,
  Java_JavaPlaphoonsLinuxLibrary_SetForegroundWindow,
  SetForegroundWindow,
  Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesX,
  Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesY,
  Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesWidth,
  Java_JavaPlaphoonsLinuxLibrary_XGetWindowAttributesHeight,
  Java_JavaPlaphoonsLinuxLibrary_XMoveResizeWindow;

{********************************************************}
begin
  //Aix no pita, diria que no es passa per aqu
  //Display:=Application.Display;
  //Display:=XOpenDisplay('localhost:0');
  //Application.MessageBox('hola','hello World');
  //ShowMessage('Hello world!');
end.
