program LlegirJavaFressaWindowsPlatform;

uses
  Forms,
  Windows,
  SysUtils,
  UnitLlegir in 'UnitLlegir.pas' {FormPrincipal},
  UnitSintetitzadorsFressa in 'UnitSintetitzadorsFressa.pas',
  UnitUPCTV in 'UnitUPCTV.pas',
  UnitFormEscollirSintetitzador in 'UnitFormEscollirSintetitzador.pas' {FormEscollirSintetitzador},
  SpeechLib_TLB in 'SpeechLib_TLB.pas',
  Speech in 'Speech.pas',
  UnitSAPI4 in 'UnitSAPI4.pas',
  UnitEines in 'UnitEines.pas',
  Unitabout in 'Unitabout.pas' {AboutBox},
  UnitFindAWindow in 'UnitFindAWindow.pas';

{$R *.RES}

var
  AppInstLlegeix:HWnd;
  i:integer;
  HiHaNoMinimitzar:boolean;
begin
  LiniaComandes:='';
  for i:=1 to ParamCount do LiniaComandes:=LiniaComandes+ParamStr(i)+' ';
  HiHaNoMinimitzar:=false;
  i:=pos('/SN:',LiniaComandes);
  if i>0 then begin
    HiHaNoMinimitzar:=true;
    Delete(LiniaComandes,i,4);
  end;
  StrPCopy(P,LiniaComandes);
  writePrivateProfileString('LLEGEIX','LLEGIR',P,'LlegirJavaFressaWindowsPlatform.ini');
  AppInstLlegeix:=FindAWindow('Llegir Java Fressa Windows Platform - Projecte Fressa 2008 - www.lagares.org','');
  if not (AppInstLlegeix=0) then begin
    {
    if not HiHaNoMinimitzar then begin
      ShowWindow(AppInstLlegeix,SW_RESTORE);
      SetForegroundWindow(AppInstLlegeix);
    end;
    SendMessage(AppInstLlegeix,wm_Llegir,0,0);
    Application.ProcessMessages;
    }
    Halt(0);
  end;

  Application.Initialize;
  Application.CreateForm(TFormPrincipal, FormPrincipal);
  Application.CreateForm(TAboutBox, AboutBox);
  //AboutBox.OKButton.Visible:=false;
  //AboutBox.Height:=AboutBox.Height-25;
  //AboutBox.Show;
  //AboutBox.Repaint;
  Application.CreateForm(TFormEscollirSintetitzador, FormEscollirSintetitzador);
  //AboutBox.Hide;
  //AboutBox.OKButton.Visible:=true;
  //AboutBox.Height:=AboutBox.Height+25;
  FormPrincipal.Height:=100;
  FormPrincipal.Width:=100;
  FormPrincipal.Show;
  FormPrincipal.Caption:='Llegir Java Fressa Windows Platform - Projecte Fressa 2008 - www.lagares.org';
  //HiHaNoMinimitzar:=true;
  if not HiHaNoMinimitzar then ShowWindow(Application.Handle,SW_ShowMinimized);
  FormPrincipal.Llegir;
  Application.Run;
  if HModuleUPCTV>31 then FreeLibrary(HModuleUPCTV);
end.
