/*
 * Projecte Fressa a JAVA
 * JavaPlaphoonsWindowsLibrary.java
 * Created on 10 / octubre / 2008, 12:07
 *
 * @author Jordi Lagares Roset "jlagares@xtec.cat - www.lagares.org"
 * amb el suport del Departament d'Educacio de la Generalitat de Catalunya
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details (see the LICENSE file).
 */

public class JavaPlaphoonsWindowsLibrary {
    
  static
  {
    try {
      System.loadLibrary("JavaPlaphoonsWindowsLibrary");
    } catch (Exception e) {
      //aixo no funciona si no es troba la llibreria
      e.printStackTrace();
    }
  }

  public native void DisplayHelloWorld();

  public native int GetForegroundWindow();
  public native void SetForegroundWindow(int H);
  
  public native void MoveResizeWindow(int H,int x,int y,int width,int height);

  public native int GetWindowAttributesX(int H);
  public native int GetWindowAttributesY(int H);
  public native int GetWindowAttributesWidth(int H);
  public native int GetWindowAttributesHeight(int H);
  
  public native String GetWindowText(int H);

  public native void UPCTVRead(String s);
  
  //17
  //public native void LlegeixSeleccionarIdiomaAlPrincipi();
  public native void LlegeixSeleccionarIdioma();
  public native void Llegeix(String s);
  
}
