{***********************************************************************
LLEGIR
(C) Jordi Lagares Roset - TotiPM Software - 2006
Data Inici 26/12/05
ltim dia  06/05/06
***********************************************************************}

{FET
  01 - 05/01/05 - Fa ms o menys el que me va demanar en Quim Fonoll, com l'SV.EXE
  02 - 05/01/05 - Prement F8 llegeix lo seleccionat
  03 - 05/01/05 - He posat if CheckBoxF8.Checked then llegeix prement amb F8
  04 - 05/01/05 - He fet que es guardi a l'.INI el sintetitzador actual
  05 - 05/01/05 - Prement F9 llegeix directament el contingut de la carpeta
  06 - 05/01/05 - He posat el CheckBoxLlegeixDirectamentLaCarpeta
  07 - 05/01/05 - He posat el CheckBoxLlegeixLoSeleccionatALaixecarElClic
  08 - 05/01/05 - He posat el parmetre '/SN:' que fa que no es minimitzi de bon comenament
  09 - 05/01/05 - He canviat l'About Box posant el ttol llegir i el Dedicat a... i he canviat l'cona com la del lectura de textos
  10 - 28/03/05 - He perdut l'about box i l'he recuperat a partir del BackUp v: 1. I hi he posat dedicat a en Jacob
  11 - 17/04/06 - Amb F11 es para la lectura
  12 - 17/04/06 - He posat, Llegeix les lletres al prmer el teclat
  13 - 17/04/06 - He posat, Llegeix la paraula al prmer espai ( )
  14 - 17/04/06 - He posat, Llegeix la frase al prmer punt (.)
  15 - 17/04/06 - He reordanat els ChekBox en dos grups. El del clic l'he posat en el segon grup.
  16 - 17/04/06 - He posat en l'INI la posici dels CheckBox del segon grup
  17 - 17/04/06 - Amb F7 ho llegeix tot
  18 - 17/04/06 - Es guarda a l'INI si es llegeix directament quan canvia el contingut de la carpeta i els F7, F8, F9, F10
  19 - 28/04/06 - En el WMDrawClipboard he posat i,l:LongInt; en lloc de i,l:Integer;
  20 - 28/04/06 - Al llegir una frase en el word si s'escriu un punt entre mig llegeig la frase b i es queda en el lloc que estava. En els altres programes no s com fer-ho.
  21 - 06/05/06 - La LlibreriaLlegirJavaFressaWindowsPlatform no envia les trecles Fs a l'aplicaci
  22 - 07/05/06 - La tecla F10 fa llegir paraula per paraula. En sapi 4 no detecta quan deixa de llegir. Ho he provat amb el TTTSNotifySink, per he vist que s'encalla en alguns sintetitzadors sapi 4. Com el sapi 4 va llegint una cosa arrera l'altra no es nota gaire. No es pot posar pausa entre paraules
  23 - 20/05/06 - Desactiva el BLOQ. NUM si est activat
  24 - 22/05/06 - Nou men que permet canviar els missatges a castell
}

{LlegirJavaFressaWindowsPlatform
  01 -
  02 - 08/01/09 - He fet que no surti a l'nici l'aboutbox que  vegades dona problemes
  03 - 11/02/09 - He canviat els ltims projetefressa.ini i ho he canviat per LlegirJavaFressaWindowsPlatform.ini
  04 - 24/05/10 - En l'unit UnitFormEscollirSintetitzador; he posat un try except end on es carrega el //SAPI 4 per si no hi ha sintetirzadors d'aquest tipus. En el programa MSAgent ja estava aix
  05 - 24/05/10 - He posat Projecte Fressa 2010
  06 - 25/05/10 - He posat que torni a escoltar el ChangeClipboardChain(Handle, NextInChain);
}

unit UnitLlegir;

{****************************************************}
interface
{****************************************************}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Menus, AppEvnts;

const
  wm_Llegir = wm_User;
  wm_CanviarSintetitzador = wm_User+1;
  wm_Tecla = wm_User+5;

type
  TFormPrincipal = class(TForm)
    ButtonLlegir: TButton;
    ButtonSintetitzador: TButton;
    ButtonParar: TButton;
    TimerStatusSintetitzador: TTimer;
    MemoTextALlegir: TMemo;
    LabelText: TLabel;
    ButtonAbout: TButton;
    ButtonNoMolestar: TButton;
    ButtonSortir: TButton;
    CheckBoxF8: TCheckBox;
    CheckBoxF9: TCheckBox;
    CheckBoxLlegeixDirectamentLaCarpeta: TCheckBox;
    CheckBoxLlegeixLoSeleccionatALaixecarElClic: TCheckBox;
    CheckBoxLletres: TCheckBox;
    CheckBoxEspai: TCheckBox;
    CheckBoxPunt: TCheckBox;
    Bevel1: TBevel;
    Bevel2: TBevel;
    CheckBoxF7: TCheckBox;
    LabelPararLectura: TLabel;
    CheckBoxF10: TCheckBox;
    TimerParaulaPerParaula: TTimer;
    ApplicationEvents1: TApplicationEvents;
    procedure ButtonPararClick(Sender: TObject);
    procedure ButtonLlegirClick(Sender: TObject);
    procedure ButtonSintetitzadorClick(Sender: TObject);
    procedure TimerStatusSintetitzadorTimer(Sender: TObject);
    procedure ButtonAboutClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ButtonNoMolestarClick(Sender: TObject);
    procedure ButtonSortirClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TimerParaulaPerParaulaTimer(Sender: TObject);
    procedure MenuCatalaClick(Sender: TObject);
    procedure MenuCastellanoClick(Sender: TObject);
    procedure ApplicationEvents1Restore(Sender: TObject);
  private
    { Private declarations }
    procedure LecturaDeprogramaExtern(var Msg: TMessage); message wm_Llegir;
    procedure CanviarSintetitzadorDeprogramaExtern(var Msg: TMessage); message wm_CanviarSintetitzador;
    procedure HiHaTecla(var Msg: TMessage); message wm_Tecla;
    procedure WMDrawClipboard(var Msg: TMessage);message WM_DRAWCLIPBOARD;
    procedure WMChangeCBChain(var Msg: TMessage);message WM_CHANGECBCHAIN;
    procedure LecturaDeProgramaExternCopyData(var Msg: TWMCopyData); message WM_COPYDATA;
  public
    { Public declarations }
    HeDeLlegirDelClipboard:boolean;
    HeDeLLegirFrase:boolean;
    HeDeLLegirparaula:boolean;
    HeDeLLegirParaulaPerParaula:boolean;
    HeDepararParaulaPerParaula:boolean;
    HeDeLlegirTot:boolean;
    MHeDActivar:boolean;
    procedure LLegir;
  end;

var
  FormPrincipal: TFormPrincipal;
  NextInChain : THandle;
  P:array[0..64000] of char;
  LiniaComandes:string;
  VelocitatVella:integer;
  TempsPausaLectura:integer;

//function SetHookKeyBoard:Boolean;stdcall; External 'LlibreriaLlegirJavaFressaWindowsPlatform.dll';
//function UnHookKeyBoard:Boolean;stdcall; External 'LlibreriaLlegirJavaFressaWindowsPlatform.dll';
//function SetHookMouse:Boolean;stdcall; External 'LlibreriaLlegirJavaFressaWindowsPlatform.dll';
//function UnHookMouse:Boolean;stdcall; External 'LlibreriaLlegirJavaFressaWindowsPlatform.dll';

{****************************************************}
implementation
{****************************************************}

uses UnitSintetitzadorsFressa, UnitFormEscollirSintetitzador, Unitabout, UnitEines, UnitUPCTV, UnitFindAWindow;

{$R *.DFM}

procedure TFormPrincipal.WMDrawClipboard(var Msg:TMessage);
var
 //19
  i,l:LongInt;
  StringComodi:string;
  s:array[0..1000] of String;

  function TreureReturns(S:string):string;
  var
   b:boolean;
   i:integer;
  begin
    b:=true;
    while b do if Pos(#13#10,S)<>0 then begin
      i:=Pos(#13,S);
      Delete(S,i,2);
      //Insert(' ',s,i);
    end else b:=false;
    Result:=S;
  end;

  function TreureEspais(S:string):string;
  var
    i:integer;
  begin
    i:=1;
    while i<=Length(s) do if Copy(s,i,1)=' ' then Delete(s,i,1) else inc(i);
    result:=s;
  end;

begin
  if NextInChain <> 0 then SendMessage(NextInChain, WM_DrawClipboard, 0, 0);
  if HeDeLlegirDelClipboard then begin
    HeDeLlegirDelClipboard:=false;
    MemoTextALlegir.Text:='';
    MemoTextALlegir.PasteFromClipboard;
    ButtonLlegirClick(nil);
    Keybd_Event(vk_Control,0,0,0);
    Keybd_Event(vk_End,0,0,0);
    Keybd_Event(vk_End,0,KEYEVENTF_KEYUP,0);
    Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
  end else if HeDeLlegirTot then begin
    HeDeLlegirTot:=false;
    MemoTextALlegir.Text:='';
    MemoTextALlegir.PasteFromClipboard;
    ButtonLlegirClick(nil);
  end else if HeDeLLegirParaula then begin
    HeDeLLegirParaula:=false;
    MemoTextALlegir.Text:='';
    MemoTextALlegir.PasteFromClipboard;
    StringComodi:=TreureEspais(TreureReturns(MemoTextALlegir.Text));
    Keybd_Event(vk_Control,0,0,0);
    Keybd_Event(vk_Shift,0,0,0);
    Keybd_Event(vk_Right,0,0,0);
    Keybd_Event(vk_Right,0,KEYEVENTF_KEYUP,0);
    Keybd_Event(vk_Shift,0,KEYEVENTF_KEYUP,0);
    Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
    if copy(StringComodi,length(StringComodi),1)<>'.' then begin
      MemoTextALlegir.Text:=MemoTextALlegir.Text;
      ButtonLlegirClick(nil);
    end;
  end else if HeDeLLegirParaulaPerParaula then begin
    HeDeLLegirParaulaPerParaula:=false;
    MemoTextALlegir.Text:='';
    MemoTextALlegir.PasteFromClipboard;
    if MemoTextALlegir.Text<>'' then begin
      ButtonLlegirClick(nil);
      TimerParaulaPerParaula.Enabled:=true;
    end;
  end else if HeDeLLegirFrase then begin
    HeDeLLegirFrase:=false;
    MemoTextALlegir.Text:='';
    MemoTextALlegir.PasteFromClipboard;
    StringComodi:=TreureReturns(MemoTextALlegir.Text);
    l:=Length(StringComodi)-1;
    i:=l;
    while i>0 do begin
      if Copy(StringComodi,i,1)='.' then begin
        StringComodi:=Copy(StringComodi,i+1,(l-i)+1);
        i:=0;
      end else dec(i);
    end;
    MemoTextALlegir.Text:=StringComodi;
    ButtonLlegirClick(nil);
    //20
    if GetForegroundWindow=FindAWindow('Microsoft Word','') then begin
      Keybd_Event(vk_Right,0,0,0);
      Keybd_Event(vk_Right,0,KEYEVENTF_KEYUP,0);
    end else begin
      Keybd_Event(vk_Control,0,0,0);
      Keybd_Event(vk_End,0,0,0);
      Keybd_Event(vk_End,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
    end;
  end else if CheckBoxLlegeixDirectamentLaCarpeta.Checked then begin
    MemoTextALlegir.Text:='';
    MemoTextALlegir.PasteFromClipboard;
    if MemoTextALlegir.Text<>'' then begin
      //WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','HE LLEGIT CADENA CLIPBOARD',PChar(MemoTextALlegir.Text),'LlegirJavaFressaWindowsPlatform.ini');
      for i:=0 to MemoTextALlegir.Lines.Count do begin
        s[i]:=MemoTextALlegir.Lines[i];
      end;
      if s[0]='#JAVA PLAPHOONS CANVIAR SINTETITZADOR#' then begin
        MHeDActivar:=true;
        FormEscollirSintetitzador.Position:=poScreenCenter;
        CanviarSintetitzador;
        ShowWindow(Application.Handle,SW_ShowMinimized);
        MHeDActivar:=false;
      end else if s[0]='#JAVA PLAPHOONS LLEGIR#' then begin
        MemoTextALlegir.Text:=s[1];
        ButtonLlegirClick(nil);
      end else if s[0]='#JAVA PLAPHOONS PARAR LECTURA#' then begin
        ButtonPararClick(nil);
      end else if s[0]='#JAVA PLAPHOONS EXIT#' then begin
        //MHeDActivar:=true;
        Close;
      end else if s[0]='#JAVA PLAPHOONS ABOUT#' then begin
        AboutBox.ShowModal;
      end else if s[0]='#JAVA PLAPHOONS PERQUE FUNCIONI#' then begin
        //aix suposo que ho he de posar perqu WMDrawClipboard(var Msg:TMessage); deu necessitar una finestra per rebre-ho
        ShowMessage('Close');
      end;
    end;
  end;
end;

procedure TFormPrincipal.WMChangeCBChain(var Msg: TMessage);
var
  Remove,Next:THandle;
begin
  Remove:=Msg.WParam;
  Next:=Msg.LParam;
  with Msg do if NextInChain=Remove then NextInChain:=Next else if NextInChain<>0 then SendMessage(NextInChain, WM_ChangeCBChain,Remove, Next);
end;

procedure TFormPrincipal.FormCreate(Sender: TObject);
{
var
  n:integer;
}  
begin
  {
  n:=50;
  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','Llengua','CATALA',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='CASTELLA' then begin
    MenuCastellanoClick(nil);
  end;

  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR LLETRES','NO',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='S' then CheckBoxLletres.Checked:=true;
  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR PARAULES','NO',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='S' then CheckBoxEspai.Checked:=true;
  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR FRASE','NO',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='S' then CheckBoxPunt.Checked:=true;
  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR A LAIXECAR EL CLIC','NO',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='S' then CheckBoxLlegeixLoSeleccionatALAixecarElClic.Checked:=true;
  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR DIRECTAMENT EL CONTINGUT DE LA CARPETA QUAN CANVIA','NO',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='S' then CheckBoxLlegeixDirectamentLaCarpeta.Checked:=true;
  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','F7','S',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='NO' then CheckBoxF7.Checked:=false;
  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','F8','S',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='NO' then CheckBoxF8.Checked:=false;
  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','F9','S',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='NO' then CheckBoxF9.Checked:=false;
  GetPrivateProfileString('LlegirJavaFressaWindowsPlatform','F10','S',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  if StrPas(P)='NO' then CheckBoxF10.Checked:=false;
  }
  VelocitatVella:=100;
  HeDeLlegirDelClipboard:=false;
  HeDeLLegirFrase:=false;
  HeDeLLegirparaula:=false;
  HeDeLlegirTot:=false;
  HeDeLLegirParaulaPerParaula:=false;
  TempsPausaLectura:=5;
  //WritePrivateProfileString('LlibreriaLlegirJavaFressaWindowsPlatform','HANDLE FINESTRA',PChar(IntToStr(Handle)),'LlegirJavaFressaWindowsPlatform.ini');
  //SetHookKeyboard;
  //SetHookMouse;
  MHeDActivar:=false;
  //11/02/09-Perqu no llegeixi el Clipboard
  NextInChain:=SetClipboardViewer(Handle);

  //WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','HE LLEGIT CADENA CLIPBOARD','NO','LlegirJavaFressaWindowsPlatform.ini')
end;

procedure TFormPrincipal.FormClose(Sender: TObject;var Action: TCloseAction);
begin
  //11/02/09-Perqu no llegeixi el Clipboard
  ChangeClipboardChain(Handle, NextInChain);

  //UnHookMouse;
  //UnHookKeyboard;
  {
  if CheckBoxLletres.Checked then
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR LLETRES','S','LlegirJavaFressaWindowsPlatform.ini')
  else
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR LLETRES','NO','LlegirJavaFressaWindowsPlatform.ini');
  if CheckBoxEspai.Checked then
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR PARAULES','S','LlegirJavaFressaWindowsPlatform.ini')
  else
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR PARAULES','NO','LlegirJavaFressaWindowsPlatform.ini');
  if CheckBoxPunt.Checked then
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR FRASE','S','LlegirJavaFressaWindowsPlatform.ini')
  else
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR FRASE','NO','LlegirJavaFressaWindowsPlatform.ini');
  if CheckBoxLlegeixLoSeleccionatALAixecarElClic.Checked then
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR A LAIXECAR EL CLIC','S','LlegirJavaFressaWindowsPlatform.ini')
  else
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR A LAIXECAR EL CLIC','NO','LlegirJavaFressaWindowsPlatform.ini');
  if CheckBoxLlegeixDirectamentLaCarpeta.Checked then
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR DIRECTAMENT EL CONTINGUT DE LA CARPETA QUAN CANVIA','S','LlegirJavaFressaWindowsPlatform.ini')
  else
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','LLEGIR DIRECTAMENT EL CONTINGUT DE LA CARPETA QUAN CANVIA','NO','LlegirJavaFressaWindowsPlatform.ini');
  if CheckBoxF7.Checked then
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','F7','S','LlegirJavaFressaWindowsPlatform.ini')
  else
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','F7','NO','LlegirJavaFressaWindowsPlatform.ini');
  if CheckBoxF8.Checked then
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','F8','S','LlegirJavaFressaWindowsPlatform.ini')
  else
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','F8','NO','LlegirJavaFressaWindowsPlatform.ini');
  if CheckBoxF9.Checked then
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','F9','S','LlegirJavaFressaWindowsPlatform.ini')
  else
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','F9','NO','LlegirJavaFressaWindowsPlatform.ini');
  if CheckBoxF10.Checked then
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','F10','S','LlegirJavaFressaWindowsPlatform.ini')
  else
   WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','F10','NO','LlegirJavaFressaWindowsPlatform.ini');
  }
end;

procedure TFormPrincipal.HiHaTecla(var Msg: TMessage);
var
  Scan: integer;
begin

  //23 per desactivar el BLOQ. NUM si est activat
  if GetKeyState(VK_NUMLOCK) <> 0 then begin
    Scan:= MapVirtualKey(VK_NUMLOCK, 0);
    keybd_event(VK_NUMLOCK, Scan, 0, 0);
    keybd_event(VK_NUMLOCK, Scan, KEYEVENTF_KEYUP, 0);
  end;

  if Msg.wParam=vk_F7 then begin
    if CheckBoxF7.Checked then begin
      Keybd_Event(vk_Control,0,0,0);
      Keybd_Event(vk_Home,0,0,0);
      Keybd_Event(vk_Home,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Shift,0,0,0);
      Keybd_Event(vk_End,0,0,0);
      Keybd_Event(vk_End,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Shift,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
      HeDeLlegirDelClipboard:=true;
      Keybd_Event(vk_Control,0,0,0);
      Keybd_Event(vk_Insert,0,0,0);
      Keybd_Event(vk_Insert,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
    end;
  end else if Msg.wParam=vk_F8 then begin
    if CheckBoxF8.Checked then begin
      HeDeLlegirDelClipboard:=true;
      Keybd_Event(vk_Control,0,0,0);
      Keybd_Event(vk_Insert,0,0,0);
      Keybd_Event(vk_Insert,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
    end;
  end else if Msg.wParam=vk_F9 then begin
    if CheckBoxF9.Checked then begin
      MemoTextALlegir.Text:='';
      MemoTextALlegir.PasteFromClipboard;
      ButtonLlegirClick(nil);
    end;
  end else if Msg.wParam=vk_F10 then begin
    if CheckBoxF10.Checked then begin
      HeDeLLegirParaulaPerParaula:=true;
      HeDepararParaulaPerParaula:=false;
      Keybd_Event(vk_Control,0,0,0);
      Keybd_Event(vk_Shift,0,0,0);
      Keybd_Event(vk_Right,0,0,0);
      Keybd_Event(vk_Right,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Shift,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Control,0,0,0);
      Keybd_Event(vk_Insert,0,0,0);
      Keybd_Event(vk_Insert,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
    end;
  end else if Msg.wParam=vk_F11 then begin
    ButtonPararClick(nil);
  end else if Msg.wParam=WM_LBUTTONUP then begin
    if CheckBoxLlegeixLoSeleccionatALaixecarElClic.Checked then begin
      HeDeLlegirDelClipboard:=true;
      Keybd_Event(vk_Control,0,0,0);
      Keybd_Event(vk_Insert,0,0,0);
      Keybd_Event(vk_Insert,0,KEYEVENTF_KEYUP,0);
      Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
    end;
  end else begin
    if CheckBoxLletres.Checked then begin
      if ((Msg.wParam>=Ord('A')) and (Msg.wParam<=Ord('Z'))) or ((Msg.wParam>=Ord('0')) and (Msg.wParam<=Ord('9'))) then begin
        //HeDeLlegirTecla:=true;
        //CopiarALaCarpeta(LowerCase(chr(Msg.wParam)));
        {
        if PopupCastellano.Checked then begin
          if Msg.wParam=Ord('L') then begin
            CopiarALaCarpeta('ele');
          end else if Msg.wParam=Ord('K') then begin
            CopiarALaCarpeta('ca');
          end else if Msg.wParam=Ord('S') then begin
            CopiarALaCarpeta('ese');
          end else if Msg.wParam=Ord('G') then begin
            CopiarALaCarpeta('ge');
          end else if Msg.wParam=Ord('M') then begin
            CopiarALaCarpeta('eme');
          end;
        end;
        LlegirText(chr(Msg.wParam));
        }
        MemoTextALlegir.Text:=chr(Msg.wParam);
        ButtonLlegirClick(nil);
      end else if (Msg.wParam=192) then begin
        {
        HeDeLlegirTecla:=true;
        CopiarALaCarpeta('');
        LlegirText('');
        }
        MemoTextALlegir.Text:='';
        ButtonLlegirClick(nil);
      end else if (Msg.wParam>=Ord(' ')) then begin
        if not CheckBoxEspai.Checked then begin
          {
          HeDeLlegirTecla:=true;
          if PopupCatala.Checked then begin
            CopiarALaCarpeta('espai');
            LlegirText('espai');
          end else begin
            CopiarALaCarpeta('espacio');
            LlegirText('espacio');
          end;
          }
          MemoTextALlegir.Text:='espai';
          ButtonLlegirClick(nil);
        end;
      end;
    end;
    if (Msg.wParam=Ord(' ')) then begin
      if CheckBoxEspai.Checked then begin
        Keybd_Event(vk_Control,0,0,0);
        Keybd_Event(vk_Shift,0,0,0);
        Keybd_Event(vk_Left,0,0,0);
        Keybd_Event(vk_Left,0,KEYEVENTF_KEYUP,0);
        Keybd_Event(vk_Shift,0,KEYEVENTF_KEYUP,0);
        Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
        HeDeLlegirParaula:=true;
        Keybd_Event(vk_Control,0,0,0);
        Keybd_Event(vk_Insert,0,0,0);
        Keybd_Event(vk_Insert,0,KEYEVENTF_KEYUP,0);
        Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
      end;
    end;
    //if (Msg.wParam=Ord('.')) then begin
    if (Msg.wParam=190) then begin
      if CheckBoxPunt.Checked then begin
        //UnHookKeyboard;
        Keybd_Event(vk_Control,0,0,0);
        Keybd_Event(vk_Shift,0,0,0);
        Keybd_Event(vk_Home,0,0,0);
        Keybd_Event(vk_Home,0,KEYEVENTF_KEYUP,0);
        Keybd_Event(vk_Shift,0,KEYEVENTF_KEYUP,0);
        Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
        HeDeLLegirFrase:=true;
        Keybd_Event(vk_Control,0,0,0);
        Keybd_Event(vk_Insert,0,0,0);
        Keybd_Event(vk_Insert,0,KEYEVENTF_KEYUP,0);
        Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
        //SetHookKeyboard;
      end;
    end;
  end;
end;

{****************************************************}
procedure TFormPrincipal.ButtonLlegirClick(Sender: TObject);
begin
  LlegirTextSintetitzador(MemoTextALlegir.Text);
  ButtonParar.Enabled:=true;
  if QuinSintetitzador<>'SAPI 4' then begin
    ButtonLlegir.Enabled:=false;
    TimerStatusSintetitzador.Enabled:=true;
  end;
end;

procedure TFormPrincipal.ButtonPararClick(Sender: TObject);
begin
  PararSintetitzador;
  ButtonLlegir.Enabled:=true;
  ButtonParar.Enabled:=false;
  TimerStatusSintetitzador.Enabled:=false;
  HeDepararParaulaPerParaula:=true;
end;

procedure TFormPrincipal.ButtonSintetitzadorClick(Sender: TObject);
begin
  CanviarSintetitzador;
end;

procedure TFormPrincipal.TimerStatusSintetitzadorTimer(Sender: TObject);
begin
  if StatusSintetitzador=0 then begin
    ButtonLlegir.Enabled:=true;
    ButtonParar.Enabled:=false;
    TimerStatusSintetitzador.Enabled:=false;
  end;
end;

procedure TFormPrincipal.ButtonAboutClick(Sender: TObject);
begin
  AboutBox.ShowModal;
end;

procedure TFormPrincipal.LLegir;
var
  i,n:LongInt;
  Id,Lo,Si,Item:string;
  s:string;
  Velocitat:integer;
  fitxer:string;
  ItemProfileString:string;
  CalCanviarElSintetetitzador:boolean;
begin
  n:=50;
  GetPrivateProfileString('SINTETITZADOR','Sintetitzador','',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  ItemProfileString:=StrPas(P);

  n:=64000;
  GetPrivateProfileString('LLEGEIX','LLEGIR','',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  LiniaComandes:=StrPas(P);

  Si:='';
  Id:='';
  Lo:='';
  i:=pos('/I:',LiniaComandes);
  if i>0 then begin
    n:=pos('/I:E',LiniaComandes);
    if n>0 then Id:='E' else Id:='C';
    Delete(LiniaComandes,i,4);
  end;
  i:=pos('/L:',LiniaComandes);
  if i>0 then begin
    n:=pos('/L:2',LiniaComandes);
    if n>0 then Lo:='2' else Lo:='1';
    Delete(LiniaComandes,i,4);
  end;
  i:=pos('/S:',LiniaComandes);
  if i>0 then begin
    n:=pos('/S:V',LiniaComandes);
    if n>0 then Si:='V' else Si:='U';
    Delete(LiniaComandes,i,4);
  end;
  if (Si<>'') or (Id<>'') or (Lo<>'') then begin
    Item:='UPCTV - Catal - Home';
    if (Id<>'C') or (Lo<>'1') or (Si<>'U') then begin
      if Si='U' then begin
        if Id='C' then begin
          Item:='UPCTV - Catal - Dona';
        end else begin
          if Lo='1' then begin
            Item:='UPCTV - Castellano - Hombre';
          end else begin
            Item:='UPCTV - Castellano - Mujer';
          end;
        end;
      end else if Si='V' then begin
        if Id='C' then begin
          if Lo='1' then begin
            Item:='SAPI 4 - VERBIO Home-Catal';
          end else begin
            Item:='SAPI 4 - VERBIO Dona-Catal';
          end;
        end else begin
          if Lo='1' then begin
            Item:='SAPI 4 - VERBIO Masculino-Espaol';
          end else begin
            Item:='SAPI 4 - VERBIO Femenino-Espaol';
          end;
        end;
      end;
    end;
  end else Item:='';
  i:=pos('/F:',LiniaComandes);
  if i>0 then begin
    fitxer:='';
    S:=Copy(LiniaComandes,i,length(LiniaComandes)-i+1);
    Delete(S,1,3);
    n:=pos(' ',S);
    if n>0 then begin
      S:=Copy(S,1,n-1);
      Delete(LiniaComandes,i,3+Length(S));
      fitxer:=S;
    end else begin
      fitxer:=S;
      Delete(LiniaComandes,i,3+Length(S));
    end;
  end;

  CalCanviarElSintetetitzador:=false;
  if Item<>'' then begin
    CalCanviarElSintetetitzador:=true;
  end else if ItemProfileString<>'' then begin
    CalCanviarElSintetetitzador:=true;
    Item:=ItemProfileString;
  end;

  if CalCanviarElSintetetitzador then begin
    for i:=0 to FormEscollirSintetitzador.ComboBoxSintetitzadors.Items.Count-1 do begin
      if FormEscollirSintetitzador.ComboBoxSintetitzadors.Items[i]=Item then begin
        FormEscollirSintetitzador.ComboBoxSintetitzadors.ItemIndex:=i;
        FormEscollirSintetitzador.CanviarElSintetitzador(Item);
        Break;
      end;
    end;
  end;

  if Si='U' then begin
    Velocitat:=100;
    i:=pos('/V:',LiniaComandes);
    if i>0 then begin
      S:=Copy(LiniaComandes,i,length(LiniaComandes)-i+1);
      Delete(S,1,3);
      n:=pos(' ',S);
      if n>0 then begin
        S:=Copy(S,1,n-1);
        Delete(LiniaComandes,i,3+Length(S));
        Velocitat:=StrToInt(S);
      end;
      if (Velocitat>0) and (Velocitat<>VelocitatVella) then begin
        CanviarVelocitatUPCTV(Velocitat);
        VelocitatVella:=Velocitat;
      end;
    end;
  end;
  if fitxer<>'' then begin
    try
      MemoTextALlegir.Lines.LoadFromFile(Fitxer);
    except
    end;
  end else begin
    MemoTextALlegir.Text:=LiniaComandes;
  end;
  ButtonLlegirClick(nil);
  //ShowMessage(Id+' | '+Lo+' | '+Si+' | '+Item);
end;

procedure TFormPrincipal.LecturaDeProgramaExtern(var Msg: TMessage);
var
  n:integer;
begin
  //Llegir;
  n:=64000;
  GetPrivateProfileString('LLEGEIX','LLEGIR','',P,n,'LlegirJavaFressaWindowsPlatform.ini');
  MemoTextALlegir.Text:=StrPas(P);
  ButtonLlegirClick(nil);
end;

procedure TFormPrincipal.LecturaDeProgramaExternCopyData(var Msg: TWMCopyData);
begin
  MemoTextALlegir.Text:=StrPas(PChar(Msg.CopyDataStruct.lpData));
  ButtonLlegirClick(nil);
end;

procedure TFormPrincipal.CanviarSintetitzadorDeprogramaExtern(var Msg: TMessage);
begin
  MHeDActivar:=true;
  FormEscollirSintetitzador.Position:=poScreenCenter;
  CanviarSintetitzador;
  ShowWindow(Application.Handle,SW_ShowMinimized);
  MHeDActivar:=false;
end;

procedure TFormPrincipal.ButtonNoMolestarClick(Sender: TObject);
begin
  ShowWindow(Application.Handle,SW_ShowMinimized);
end;

procedure TFormPrincipal.ButtonSortirClick(Sender: TObject);
begin
  Close;
end;

procedure TFormPrincipal.TimerParaulaPerParaulaTimer(Sender: TObject);
begin
  if StatusSintetitzador=0 then begin
    TimerParaulaPerParaula.Enabled:=false;
    Keybd_Event(vk_Control,0,0,0);
    Keybd_Event(vk_Left,0,0,0);
    Keybd_Event(vk_Left,0,KEYEVENTF_KEYUP,0);
    Keybd_Event(vk_Right,0,0,0);
    Keybd_Event(vk_Right,0,KEYEVENTF_KEYUP,0);
    Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
    if TempsPausaLectura>0 then Pausa(TempsPausaLectura*100);
    if HeDepararParaulaPerParaula then exit;
    HeDeLLegirParaulaPerParaula:=true;
    Keybd_Event(vk_Control,0,0,0);
    Keybd_Event(vk_Shift,0,0,0);
    Keybd_Event(vk_Right,0,0,0);
    Keybd_Event(vk_Right,0,KEYEVENTF_KEYUP,0);
    Keybd_Event(vk_Shift,0,KEYEVENTF_KEYUP,0);
    Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
    Keybd_Event(vk_Control,0,0,0);
    Keybd_Event(vk_Insert,0,0,0);
    Keybd_Event(vk_Insert,0,KEYEVENTF_KEYUP,0);
    Keybd_Event(vk_Control,0,KEYEVENTF_KEYUP,0);
  end;
end;

procedure TFormPrincipal.MenuCatalaClick(Sender: TObject);
begin

  //WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','Llengua','CATALA','LlegirJavaFressaWindowsPlatform.ini');

  LabelText.Caption:='Text a llegir:';
  ButtonLlegir.Caption:='Llegir';
  ButtonParar.Caption:='Parar';
  ButtonSintetitzador.Caption:='Veu...';
  ButtonNoMolestar.Caption:='No molestar';
  ButtonAbout.Caption:='Parlant de...';
  ButtonSortir.Caption:='Sortir';
  CheckBoxF7.Caption:='F7 llegeix tot';
  CheckBoxF8.Caption:='F8 llegeix lo seleccionat';
  CheckBoxF9.Caption:='F9 llegeix lo de la carpeta';
  CheckBoxF10.Caption:='F10 Llegeix paraula per paraula';
  LabelPararLectura.Caption:='F11 parar la lectura';
  CheckBoxLlegeixDirectamentLaCarpeta.Caption:='Quan es copia un text a la carpeta el llegeix directament';
  CheckBoxLletres.Caption:='Llegeix les lletres al prmer el teclat';
  CheckBoxEspai.Caption:='Llegeix la paraula al prmer espai ( )';
  CheckBoxPunt.Caption:='Llegeix la frase al prmer punt (.)';
  CheckBoxLlegeixLoSeleccionatALAixecarElClic.Caption:='Llegeix lo seleccionat a l''aixecar el clic';
end;

procedure TFormPrincipal.MenuCastellanoClick(Sender: TObject);
begin

  //WritePrivateProfileString('LlegirJavaFressaWindowsPlatform','Llengua','CASTELLA','LlegirJavaFressaWindowsPlatform.ini');

  LabelText.Caption:='Texto a leer:';
  ButtonLlegir.Caption:='Leer';
  ButtonParar.Caption:='Parar';
  ButtonSintetitzador.Caption:='Voz...';
  ButtonNoMolestar.Caption:='No molestar';
  ButtonAbout.Caption:='Crditos...';
  ButtonSortir.Caption:='Salir';
  CheckBoxF7.Caption:='F7 Leer todo';
  CheckBoxF8.Caption:='F8 Leer lo seleccionado';
  CheckBoxF9.Caption:='F9 Leer lo del portapapeles';
  CheckBoxF10.Caption:='F10 Leer palabra por palabra';
  LabelPararLectura.Caption:='F11 Parar la lectura';
  CheckBoxLlegeixDirectamentLaCarpeta.Caption:='Cuando se copia un texto en el portapapeles se lee directamente';
  CheckBoxLletres.Caption:='Leer las letras al pulsar en el teclado';
  CheckBoxEspai.Caption:='Leer la palabra al pulsar espacio ( )';
  CheckBoxPunt.Caption:='Leer la frase al pulsar punto (.)';
  CheckBoxLlegeixLoSeleccionatALAixecarElClic.Caption:='Leer lo seleccionado al levantar el clic';
end;

procedure TFormPrincipal.ApplicationEvents1Restore(Sender: TObject);
begin
  {
  if MHeDActivar=false then begin
    caption:='false';
    ShowWindow(Application.Handle,SW_ShowMinimized);
  end else begin
    caption:='true';
  end;
  }
  if MHeDActivar=false then ShowWindow(Application.Handle,SW_ShowMinimized);
end;

end.
