unit UnitSAPI4;

{****************************************************}
interface
{****************************************************}

uses Speech;

{
type
  TTTSBufNotifySink = class;

  TTTSNotifySink = class(TInterfacedObject, ITTSNotifySink)
  private
    FForm: TfrmDirectTTSAPI;
  protected
    function AttribChanged(dwAttribute: DWORD): HResult; stdcall;
    function AudioStart(qTimeStamp: QWORD): HResult; stdcall;
    function AudioStop(qTimeStamp: QWORD): HResult; stdcall;
    function Visual(qTimeStamp: QWORD; cIPAPhoneme: Char;cEnginePhoneme: Char; dwHints: DWORD;apTTSMouth: PTTSMouth): HResult; stdcall;
  public
    constructor Create(Form: TfrmDirectTTSAPI);
  end;

  TTTSBufNotifySink = class(TInterfacedObject, ITTSBufNotifySink)
  private
    FForm: TfrmDirectTTSAPI;
    FOldPos: DWord;
    FinishedTalking: Boolean;
  protected
    function TextDataDone(qTimeStamp: QWORD; dwFlags: DWORD): HResult; stdcall;
    function TextDataStarted(qTimeStamp: QWORD): HResult; stdcall;
    function BookMark(qTimeStamp: QWORD; dwMarkNum: DWORD): HResult; stdcall;
    function WordPosition(qTimeStamp: QWORD; dwByteOffset: DWORD): HResult; stdcall;
  public
    constructor Create(Form: TfrmDirectTTSAPI);
  end;
}
{****************************************************}
implementation
{****************************************************}

end.
