{***********************************************************************
DLL interfcie amb els sintetitzadors
(C) Jordi Lagares Roset - TotiPM Software - 2006
Data Inici 27/12/05
ltim dia  27/12/05
***********************************************************************}

unit UnitSintetitzadorsFressa;

{**********************************************************************}
interface
{**********************************************************************}

Procedure LlegirTextSintetitzador(S:String);
Function StatusSintetitzador:integer;
Procedure PararSintetitzador;
Procedure CanviarSintetitzador;

{**********************************************************************}
implementation
{**********************************************************************}

uses SysUtils, UnitUPCTV, UnitFormEscollirSintetitzador;

procedure LlegirTextSintetitzador(S:String);
begin
  S:=S+' ';
  if QuinSintetitzador='' then begin
    exit;
  end else if QuinSintetitzador='UPCTV' then begin
    if HModuleUPCTV>31 then upcTVRead(PChar(S));
  end else if QuinSintetitzador='SAPI 4' then begin
    FormEscollirSintetitzador.SpeakSAPI4(S);
  end else if QuinSintetitzador='SAPI 5' then begin
    FormEscollirSintetitzador.SpeakSAPI5(S);
  end else if QuinSintetitzador='AHOTTS' then begin
  end;
end;

Function StatusSintetitzador:integer;
begin
  Result:=0;
  if QuinSintetitzador='' then begin
    exit;
  end else if QuinSintetitzador='UPCTV' then begin
    if HModuleUPCTV>31 then Result:=upcTVStatus(0);
  end else if QuinSintetitzador='SAPI 4' then begin
    //Result:=StatusSapi4;
  end else if QuinSintetitzador='SAPI 5' then begin
    Result:=FormEscollirSintetitzador.StatusSapi5;
  end else if QuinSintetitzador='AHOTTS' then begin
  end;
end;

Procedure PararSintetitzador;
begin
  if QuinSintetitzador='' then begin
    exit;
  end else if QuinSintetitzador='UPCTV' then begin
    if HModuleUPCTV>31 then upcTVStop;
  end else if QuinSintetitzador='SAPI 4' then begin
    FormEscollirSintetitzador.PararSAPI4;
  end else if QuinSintetitzador='SAPI 5' then begin
    FormEscollirSintetitzador.PararSAPI5;
  end else if QuinSintetitzador='AHOTTS' then begin
  end;
end;

Procedure CanviarSintetitzador;
begin
  FormEscollirSintetitzador.ShowModal;
end;

end.
